/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `alarm` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `uuid` varchar(255) DEFAULT NULL,
  `alarm_id` varchar(255) DEFAULT NULL,
  `alarm_state` varchar(255) DEFAULT NULL,
  `entity_type_id` varchar(255) DEFAULT NULL,
  `entity_instance_id` varchar(255) DEFAULT NULL,
  `timestamp` datetime(6) DEFAULT NULL,
  `severity` varchar(255) DEFAULT NULL,
  `reason_text` varchar(255) DEFAULT NULL,
  `alarm_type` varchar(255) DEFAULT NULL,
  `probable_cause` varchar(255) DEFAULT NULL,
  `proposed_repair_action` varchar(255) DEFAULT NULL,
  `service_affecting` tinyint(1) DEFAULT NULL,
  `suppression` tinyint(1) DEFAULT NULL,
  `inhibit_alarms` tinyint(1) DEFAULT NULL,
  `masked` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ix_alarm_uuid` (`uuid`),
  KEY `ix_alarm_alarm_type` (`alarm_type`),
  KEY `ix_alarm_alarm_id` (`alarm_id`),
  KEY `ix_alarm_entity_instance_id` (`entity_instance_id`),
  KEY `ix_alarm_entity_type_id` (`entity_type_id`),
  KEY `ix_alarm_severity` (`severity`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`service_affecting` in (0,1)),
  CONSTRAINT `CONSTRAINT_2` CHECK (`suppression` in (0,1)),
  CONSTRAINT `CONSTRAINT_3` CHECK (`inhibit_alarms` in (0,1)),
  CONSTRAINT `CONSTRAINT_4` CHECK (`masked` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `event_log` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `uuid` varchar(255) DEFAULT NULL,
  `event_log_id` varchar(255) DEFAULT NULL,
  `state` varchar(255) DEFAULT NULL,
  `entity_type_id` varchar(255) DEFAULT NULL,
  `entity_instance_id` varchar(255) DEFAULT NULL,
  `timestamp` datetime(6) DEFAULT NULL,
  `severity` varchar(255) DEFAULT NULL,
  `reason_text` varchar(255) DEFAULT NULL,
  `event_log_type` varchar(255) DEFAULT NULL,
  `probable_cause` varchar(255) DEFAULT NULL,
  `proposed_repair_action` varchar(255) DEFAULT NULL,
  `service_affecting` tinyint(1) DEFAULT NULL,
  `suppression` tinyint(1) DEFAULT NULL,
  `alarm_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ix_event_log_uuid` (`uuid`),
  KEY `ix_event_log_severity` (`severity`),
  KEY `ix_event_log_event_log_type` (`event_log_type`),
  KEY `ix_event_log_entity_type_id` (`entity_type_id`),
  KEY `ix_event_log_event_log_id` (`event_log_id`),
  KEY `ix_event_log_entity_instance_id` (`entity_instance_id`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`service_affecting` in (0,1)),
  CONSTRAINT `CONSTRAINT_2` CHECK (`suppression` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `event_suppression` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `uuid` varchar(36) DEFAULT NULL,
  `alarm_id` varchar(15) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `suppression_status` varchar(15) DEFAULT NULL,
  `set_for_deletion` tinyint(1) DEFAULT NULL,
  `mgmt_affecting` varchar(255) DEFAULT NULL,
  `degrade_affecting` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ix_event_suppression_uuid` (`uuid`),
  UNIQUE KEY `ix_event_suppression_alarm_id` (`alarm_id`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`set_for_deletion` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `migrate_version` (
  `repository_id` varchar(250) NOT NULL,
  `repository_path` text DEFAULT NULL,
  `version` int(11) DEFAULT NULL,
  PRIMARY KEY (`repository_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

INSERT INTO `migrate_version` VALUES ('fm','/var/lib/openstack/lib/python2.7/site-packages/fm/db/sqlalchemy/migrate_repo',1);
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

