/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `address_scopes` (
  `id` varchar(36) NOT NULL,
  `name` varchar(255) NOT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `shared` tinyint(1) NOT NULL DEFAULT 0,
  `ip_version` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_address_scopes_project_id` (`project_id`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`shared` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `addressscoperbacs` (
  `project_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `target_tenant` varchar(255) NOT NULL,
  `action` varchar(255) NOT NULL,
  `object_id` varchar(36) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_address_scopes_rbacs0target_tenant0object_id0action` (`target_tenant`,`object_id`,`action`),
  KEY `object_id` (`object_id`),
  KEY `ix_addressscoperbacs_project_id` (`project_id`),
  CONSTRAINT `addressscoperbacs_ibfk_1` FOREIGN KEY (`object_id`) REFERENCES `address_scopes` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `agents` (
  `id` varchar(36) NOT NULL,
  `agent_type` varchar(255) NOT NULL,
  `binary` varchar(255) NOT NULL,
  `topic` varchar(255) NOT NULL,
  `host` varchar(255) NOT NULL,
  `admin_state_up` tinyint(1) NOT NULL DEFAULT 1,
  `created_at` datetime NOT NULL,
  `started_at` datetime NOT NULL,
  `heartbeat_timestamp` datetime NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `configurations` varchar(4095) NOT NULL,
  `load` int(11) NOT NULL DEFAULT 0,
  `availability_zone` varchar(255) DEFAULT NULL,
  `resource_versions` varchar(8191) DEFAULT NULL,
  `resources_synced` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_agents0agent_type0host` (`agent_type`,`host`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`admin_state_up` in (0,1)),
  CONSTRAINT `CONSTRAINT_2` CHECK (`resources_synced` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

INSERT INTO `agents` VALUES ('1714b412-c089-4cc4-8355-a8d0abbca753','DHCP agent','neutron-dhcp-agent','dhcp_agent','controller-0',0,'2021-03-03 09:56:05','2021-03-03 09:56:05','2021-03-03 11:52:05',NULL,'{\"dhcp_driver\": \"neutron.agent.linux.dhcp.Dnsmasq\", \"dhcp_lease_duration\": 86400, \"log_agent_heartbeats\": false, \"networks\": 0, \"ports\": 0, \"subnets\": 0}',0,'nova',NULL,NULL);
INSERT INTO `agents` VALUES ('2d84d6b9-d672-4d4e-ba0d-253943741aa9','NIC Switch agent','neutron-sriov-nic-agent','N/A','controller-1',0,'2021-03-03 09:54:54','2021-03-03 09:54:54','2021-03-03 11:51:55',NULL,'{\"device_mappings\": {\"physnet2\": [\"enp3s0f1\"]}, \"devices\": 0, \"extensions\": [], \"resource_provider_bandwidths\": {}, \"resource_provider_hypervisors\": {\"enp3s0f1\": \"controller-1\"}, \"resource_provider_inventory_defaults\": {\"allocation_ratio\": 1.0, \"min_unit\": 1, \"step_size\": 1, \"reserved\": 0}}',0,NULL,NULL,NULL);
INSERT INTO `agents` VALUES ('3846d7d2-ad6d-479a-8567-44f06454dc81','NIC Switch agent','neutron-sriov-nic-agent','N/A','controller-0',0,'2021-03-03 09:54:55','2021-03-03 09:54:55','2021-03-03 11:51:56',NULL,'{\"device_mappings\": {\"physnet2\": [\"enp3s0f1\"]}, \"devices\": 0, \"extensions\": [], \"resource_provider_bandwidths\": {}, \"resource_provider_hypervisors\": {\"enp3s0f1\": \"controller-0\"}, \"resource_provider_inventory_defaults\": {\"allocation_ratio\": 1.0, \"min_unit\": 1, \"step_size\": 1, \"reserved\": 0}}',0,NULL,NULL,NULL);
INSERT INTO `agents` VALUES ('490a12c7-5e28-4082-a271-3e578a40ea25','Open vSwitch agent','neutron-openvswitch-agent','N/A','controller-0',0,'2021-03-03 09:55:04','2021-03-03 09:55:34','2021-03-03 11:52:04',NULL,'{\"arp_responder_enabled\": true, \"baremetal_smartnic\": false, \"bridge_mappings\": {\"physnet0\": \"br-phy0\", \"physnet1\": \"br-phy1\"}, \"datapath_type\": \"netdev\", \"devices\": 0, \"enable_distributed_routing\": false, \"extensions\": [], \"in_distributed_mode\": false, \"integration_bridge\": \"br-int\", \"l2_population\": true, \"log_agent_heartbeats\": false, \"ovs_capabilities\": {\"datapath_types\": [\"netdev\", \"system\"], \"iface_types\": [\"dpdk\", \"dpdkr\", \"dpdkvhostuser\", \"dpdkvhostuserclient\", \"erspan\", \"geneve\", \"gre\", \"internal\", \"ip6erspan\", \"ip6gre\", \"lisp\", \"patch\", \"stt\", \"system\", \"tap\", \"vxlan\"]}, \"ovs_hybrid_plug\": false, \"resource_provider_bandwidths\": {}, \"resource_provider_hypervisors\": {\"br-phy0\": \"controller-0\", \"br-phy1\": \"controller-0\"}, \"resource_provider_inventory_defaults\": {\"allocation_ratio\": 1.0, \"min_unit\": 1, \"step_size\": 1, \"reserved\": 0}, \"tunnel_types\": [\"vxlan\"], \"tunneling_ip\": \"172.17.0.1\", \"vhostuser_socket_dir\": \"/var/run/openvswitch\"}',0,NULL,'{\"ConntrackHelper\": \"1.0\", \"Log\": \"1.0\", \"Network\": \"1.1\", \"Port\": \"1.5\", \"PortForwarding\": \"1.2\", \"QosPolicy\": \"1.8\", \"SecurityGroup\": \"1.2\", \"SecurityGroupRule\": \"1.0\", \"SubPort\": \"1.0\", \"Subnet\": \"1.1\", \"Trunk\": \"1.1\"}',NULL);
INSERT INTO `agents` VALUES ('8963a94d-0b34-47f0-b6c3-f626e00c5ff6','Metadata agent','neutron-metadata-agent','N/A','controller-0',0,'2021-03-03 09:56:02','2021-03-03 09:56:02','2021-03-03 11:52:03',NULL,'{\"log_agent_heartbeats\": false, \"metadata_proxy_socket\": \"/var/lib/neutron/openstack-helm/metadata_proxy\", \"nova_metadata_host\": \"metadata.openstack.svc.cluster.local\", \"nova_metadata_port\": 80}',0,NULL,NULL,NULL);
INSERT INTO `agents` VALUES ('adea610c-aee3-4429-82a9-5a297b276bf9','DHCP agent','neutron-dhcp-agent','dhcp_agent','controller-1',0,'2021-03-03 09:56:06','2021-03-03 09:56:06','2021-03-03 11:52:06',NULL,'{\"dhcp_driver\": \"neutron.agent.linux.dhcp.Dnsmasq\", \"dhcp_lease_duration\": 86400, \"log_agent_heartbeats\": false, \"networks\": 0, \"ports\": 0, \"subnets\": 0}',0,'nova',NULL,NULL);
INSERT INTO `agents` VALUES ('adeddb2f-e6d4-44f2-a62e-bb484cc7b140','Metadata agent','neutron-metadata-agent','N/A','controller-1',0,'2021-03-03 09:56:05','2021-03-03 09:56:05','2021-03-03 11:52:06',NULL,'{\"log_agent_heartbeats\": false, \"metadata_proxy_socket\": \"/var/lib/neutron/openstack-helm/metadata_proxy\", \"nova_metadata_host\": \"metadata.openstack.svc.cluster.local\", \"nova_metadata_port\": 80}',0,NULL,NULL,NULL);
INSERT INTO `agents` VALUES ('d6fdff97-b1b6-43e6-8883-a5dcab4c9ed3','L3 agent','neutron-l3-agent','l3_agent','controller-1',0,'2021-03-03 09:56:07','2021-03-03 09:56:07','2021-03-03 11:52:07',NULL,'{\"agent_mode\": \"dvr_snat\", \"ex_gw_ports\": 0, \"extensions\": [], \"floating_ips\": 0, \"handle_internal_only_routers\": true, \"interface_driver\": \"openvswitch\", \"interfaces\": 0, \"log_agent_heartbeats\": false, \"routers\": 0}',0,'nova',NULL,NULL);
INSERT INTO `agents` VALUES ('ee1c701c-e730-448c-a358-ebb979cb0710','Open vSwitch agent','neutron-openvswitch-agent','N/A','controller-1',0,'2021-03-03 09:55:02','2021-03-03 09:55:32','2021-03-03 11:52:02',NULL,'{\"arp_responder_enabled\": true, \"baremetal_smartnic\": false, \"bridge_mappings\": {\"physnet0\": \"br-phy0\", \"physnet1\": \"br-phy1\"}, \"datapath_type\": \"netdev\", \"devices\": 0, \"enable_distributed_routing\": false, \"extensions\": [], \"in_distributed_mode\": false, \"integration_bridge\": \"br-int\", \"l2_population\": true, \"log_agent_heartbeats\": false, \"ovs_capabilities\": {\"datapath_types\": [\"netdev\", \"system\"], \"iface_types\": [\"dpdk\", \"dpdkr\", \"dpdkvhostuser\", \"dpdkvhostuserclient\", \"erspan\", \"geneve\", \"gre\", \"internal\", \"ip6erspan\", \"ip6gre\", \"lisp\", \"patch\", \"stt\", \"system\", \"tap\", \"vxlan\"]}, \"ovs_hybrid_plug\": false, \"resource_provider_bandwidths\": {}, \"resource_provider_hypervisors\": {\"br-phy0\": \"controller-1\", \"br-phy1\": \"controller-1\"}, \"resource_provider_inventory_defaults\": {\"allocation_ratio\": 1.0, \"min_unit\": 1, \"step_size\": 1, \"reserved\": 0}, \"tunnel_types\": [\"vxlan\"], \"tunneling_ip\": \"172.17.0.1\", \"vhostuser_socket_dir\": \"/var/run/openvswitch\"}',0,NULL,'{\"ConntrackHelper\": \"1.0\", \"Log\": \"1.0\", \"Network\": \"1.1\", \"Port\": \"1.5\", \"PortForwarding\": \"1.2\", \"QosPolicy\": \"1.8\", \"SecurityGroup\": \"1.2\", \"SecurityGroupRule\": \"1.0\", \"SubPort\": \"1.0\", \"Subnet\": \"1.1\", \"Trunk\": \"1.1\"}',NULL);
INSERT INTO `agents` VALUES ('fdb69f74-510b-425c-9074-3d41da8e8012','L3 agent','neutron-l3-agent','l3_agent','controller-0',0,'2021-03-03 09:56:06','2021-03-03 09:56:06','2021-03-03 11:52:07',NULL,'{\"agent_mode\": \"dvr_snat\", \"ex_gw_ports\": 0, \"extensions\": [], \"floating_ips\": 0, \"handle_internal_only_routers\": true, \"interface_driver\": \"openvswitch\", \"interfaces\": 0, \"log_agent_heartbeats\": false, \"routers\": 0}',0,'nova',NULL,NULL);
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `alembic_version` (
  `version_num` varchar(32) NOT NULL,
  PRIMARY KEY (`version_num`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

INSERT INTO `alembic_version` VALUES ('5c85685d616d');
INSERT INTO `alembic_version` VALUES ('d8bdf05313f4');
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `alembic_version_sfc` (
  `version_num` varchar(32) NOT NULL,
  PRIMARY KEY (`version_num`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

INSERT INTO `alembic_version_sfc` VALUES ('06382790fb2c');
INSERT INTO `alembic_version_sfc` VALUES ('a3ad63aa834f');
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `allowedaddresspairs` (
  `port_id` varchar(36) NOT NULL,
  `mac_address` varchar(32) NOT NULL,
  `ip_address` varchar(64) NOT NULL,
  PRIMARY KEY (`port_id`,`mac_address`,`ip_address`),
  CONSTRAINT `allowedaddresspairs_ibfk_1` FOREIGN KEY (`port_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `arista_provisioned_nets` (
  `tenant_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `network_id` varchar(36) DEFAULT NULL,
  `segmentation_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_arista_provisioned_nets_tenant_id` (`tenant_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `arista_provisioned_tenants` (
  `tenant_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_arista_provisioned_tenants_tenant_id` (`tenant_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `arista_provisioned_vms` (
  `tenant_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `vm_id` varchar(255) DEFAULT NULL,
  `host_id` varchar(255) DEFAULT NULL,
  `port_id` varchar(36) DEFAULT NULL,
  `network_id` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_arista_provisioned_vms_tenant_id` (`tenant_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `auto_allocated_topologies` (
  `project_id` varchar(255) NOT NULL,
  `network_id` varchar(36) NOT NULL,
  `router_id` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`project_id`),
  KEY `network_id` (`network_id`),
  KEY `router_id` (`router_id`),
  CONSTRAINT `auto_allocated_topologies_ibfk_1` FOREIGN KEY (`network_id`) REFERENCES `networks` (`id`) ON DELETE CASCADE,
  CONSTRAINT `auto_allocated_topologies_ibfk_2` FOREIGN KEY (`router_id`) REFERENCES `routers` (`id`) ON DELETE SET NULL
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bgp_peers` (
  `id` varchar(36) NOT NULL,
  `name` varchar(255) NOT NULL,
  `auth_type` varchar(16) NOT NULL,
  `password` varchar(255) DEFAULT NULL,
  `peer_ip` varchar(64) NOT NULL,
  `remote_as` int(11) NOT NULL,
  `tenant_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_bgp_peers_tenant_id` (`tenant_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bgp_speaker_dragent_bindings` (
  `agent_id` varchar(36) NOT NULL,
  `bgp_speaker_id` varchar(36) NOT NULL,
  PRIMARY KEY (`agent_id`),
  KEY `bgp_speaker_id` (`bgp_speaker_id`),
  CONSTRAINT `bgp_speaker_dragent_bindings_ibfk_1` FOREIGN KEY (`agent_id`) REFERENCES `agents` (`id`) ON DELETE CASCADE,
  CONSTRAINT `bgp_speaker_dragent_bindings_ibfk_2` FOREIGN KEY (`bgp_speaker_id`) REFERENCES `bgp_speakers` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bgp_speaker_network_bindings` (
  `bgp_speaker_id` varchar(36) NOT NULL,
  `network_id` varchar(36) NOT NULL,
  `ip_version` int(11) NOT NULL,
  PRIMARY KEY (`network_id`,`bgp_speaker_id`,`ip_version`),
  KEY `bgp_speaker_id` (`bgp_speaker_id`),
  CONSTRAINT `bgp_speaker_network_bindings_ibfk_1` FOREIGN KEY (`bgp_speaker_id`) REFERENCES `bgp_speakers` (`id`) ON DELETE CASCADE,
  CONSTRAINT `bgp_speaker_network_bindings_ibfk_2` FOREIGN KEY (`network_id`) REFERENCES `networks` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bgp_speaker_peer_bindings` (
  `bgp_speaker_id` varchar(36) NOT NULL,
  `bgp_peer_id` varchar(36) NOT NULL,
  PRIMARY KEY (`bgp_speaker_id`,`bgp_peer_id`),
  KEY `bgp_peer_id` (`bgp_peer_id`),
  CONSTRAINT `bgp_speaker_peer_bindings_ibfk_1` FOREIGN KEY (`bgp_speaker_id`) REFERENCES `bgp_speakers` (`id`) ON DELETE CASCADE,
  CONSTRAINT `bgp_speaker_peer_bindings_ibfk_2` FOREIGN KEY (`bgp_peer_id`) REFERENCES `bgp_peers` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bgp_speakers` (
  `id` varchar(36) NOT NULL,
  `name` varchar(255) NOT NULL,
  `local_as` int(11) NOT NULL,
  `ip_version` int(11) NOT NULL,
  `tenant_id` varchar(255) DEFAULT NULL,
  `advertise_floating_ip_host_routes` tinyint(1) NOT NULL,
  `advertise_tenant_networks` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_bgp_speakers_tenant_id` (`tenant_id`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`advertise_floating_ip_host_routes` in (0,1)),
  CONSTRAINT `CONSTRAINT_2` CHECK (`advertise_tenant_networks` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `brocadenetworks` (
  `id` varchar(36) NOT NULL,
  `vlan` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `brocadeports` (
  `port_id` varchar(36) NOT NULL DEFAULT '',
  `network_id` varchar(36) NOT NULL,
  `admin_state_up` tinyint(1) NOT NULL,
  `physical_interface` varchar(36) DEFAULT NULL,
  `vlan_id` varchar(36) DEFAULT NULL,
  `tenant_id` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`port_id`),
  KEY `network_id` (`network_id`),
  CONSTRAINT `brocadeports_ibfk_1` FOREIGN KEY (`network_id`) REFERENCES `brocadenetworks` (`id`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`admin_state_up` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cisco_csr_identifier_map` (
  `tenant_id` varchar(255) DEFAULT NULL,
  `ipsec_site_conn_id` varchar(36) NOT NULL,
  `csr_tunnel_id` int(11) NOT NULL,
  `csr_ike_policy_id` int(11) NOT NULL,
  `csr_ipsec_policy_id` int(11) NOT NULL,
  PRIMARY KEY (`ipsec_site_conn_id`),
  CONSTRAINT `cisco_csr_identifier_map_ibfk_1` FOREIGN KEY (`ipsec_site_conn_id`) REFERENCES `ipsec_site_connections` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cisco_hosting_devices` (
  `tenant_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `complementary_id` varchar(36) DEFAULT NULL,
  `device_id` varchar(255) DEFAULT NULL,
  `admin_state_up` tinyint(1) NOT NULL,
  `management_port_id` varchar(36) DEFAULT NULL,
  `protocol_port` int(11) DEFAULT NULL,
  `cfg_agent_id` varchar(36) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `status` varchar(16) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `cfg_agent_id` (`cfg_agent_id`),
  KEY `management_port_id` (`management_port_id`),
  KEY `ix_cisco_hosting_devices_tenant_id` (`tenant_id`),
  CONSTRAINT `cisco_hosting_devices_ibfk_1` FOREIGN KEY (`cfg_agent_id`) REFERENCES `agents` (`id`),
  CONSTRAINT `cisco_hosting_devices_ibfk_2` FOREIGN KEY (`management_port_id`) REFERENCES `ports` (`id`) ON DELETE SET NULL,
  CONSTRAINT `CONSTRAINT_1` CHECK (`admin_state_up` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cisco_ml2_apic_contracts` (
  `tenant_id` varchar(255) DEFAULT NULL,
  `router_id` varchar(36) NOT NULL,
  PRIMARY KEY (`router_id`),
  KEY `ix_cisco_ml2_apic_contracts_tenant_id` (`tenant_id`),
  CONSTRAINT `cisco_ml2_apic_contracts_ibfk_1` FOREIGN KEY (`router_id`) REFERENCES `routers` (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cisco_ml2_apic_host_links` (
  `host` varchar(255) NOT NULL,
  `ifname` varchar(64) NOT NULL,
  `ifmac` varchar(32) DEFAULT NULL,
  `swid` varchar(32) NOT NULL,
  `module` varchar(32) NOT NULL,
  `port` varchar(32) NOT NULL,
  PRIMARY KEY (`host`,`ifname`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cisco_ml2_apic_names` (
  `neutron_id` varchar(36) NOT NULL,
  `neutron_type` varchar(32) NOT NULL,
  `apic_name` varchar(255) NOT NULL,
  PRIMARY KEY (`neutron_id`,`neutron_type`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cisco_ml2_n1kv_network_bindings` (
  `network_id` varchar(36) NOT NULL,
  `network_type` varchar(32) NOT NULL,
  `segmentation_id` int(11) DEFAULT NULL,
  `profile_id` varchar(36) NOT NULL,
  PRIMARY KEY (`network_id`),
  KEY `profile_id` (`profile_id`),
  CONSTRAINT `cisco_ml2_n1kv_network_bindings_ibfk_1` FOREIGN KEY (`network_id`) REFERENCES `networks` (`id`) ON DELETE CASCADE,
  CONSTRAINT `cisco_ml2_n1kv_network_bindings_ibfk_2` FOREIGN KEY (`profile_id`) REFERENCES `cisco_ml2_n1kv_network_profiles` (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cisco_ml2_n1kv_network_profiles` (
  `id` varchar(36) NOT NULL,
  `name` varchar(255) NOT NULL,
  `segment_type` enum('vlan','vxlan') NOT NULL,
  `segment_range` varchar(255) DEFAULT NULL,
  `multicast_ip_index` int(11) DEFAULT NULL,
  `multicast_ip_range` varchar(255) DEFAULT NULL,
  `sub_type` varchar(255) DEFAULT NULL,
  `physical_network` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cisco_ml2_n1kv_policy_profiles` (
  `id` varchar(36) NOT NULL,
  `name` varchar(255) NOT NULL,
  `vsm_ip` varchar(16) NOT NULL,
  PRIMARY KEY (`id`,`vsm_ip`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cisco_ml2_n1kv_port_bindings` (
  `port_id` varchar(36) NOT NULL,
  `profile_id` varchar(36) NOT NULL,
  PRIMARY KEY (`port_id`),
  CONSTRAINT `cisco_ml2_n1kv_port_bindings_ibfk_1` FOREIGN KEY (`port_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cisco_ml2_n1kv_profile_bindings` (
  `profile_type` enum('network','policy') DEFAULT NULL,
  `tenant_id` varchar(36) NOT NULL DEFAULT 'tenant_id_not_set',
  `profile_id` varchar(36) NOT NULL,
  PRIMARY KEY (`tenant_id`,`profile_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cisco_ml2_n1kv_vlan_allocations` (
  `physical_network` varchar(64) NOT NULL,
  `vlan_id` int(11) NOT NULL,
  `allocated` tinyint(1) NOT NULL,
  `network_profile_id` varchar(36) NOT NULL,
  PRIMARY KEY (`physical_network`,`vlan_id`),
  KEY `network_profile_id` (`network_profile_id`),
  CONSTRAINT `cisco_ml2_n1kv_vlan_allocations_ibfk_1` FOREIGN KEY (`network_profile_id`) REFERENCES `cisco_ml2_n1kv_network_profiles` (`id`) ON DELETE CASCADE,
  CONSTRAINT `CONSTRAINT_1` CHECK (`allocated` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cisco_ml2_n1kv_vxlan_allocations` (
  `vxlan_id` int(11) NOT NULL,
  `allocated` tinyint(1) NOT NULL,
  `network_profile_id` varchar(36) NOT NULL,
  PRIMARY KEY (`vxlan_id`),
  KEY `network_profile_id` (`network_profile_id`),
  CONSTRAINT `cisco_ml2_n1kv_vxlan_allocations_ibfk_1` FOREIGN KEY (`network_profile_id`) REFERENCES `cisco_ml2_n1kv_network_profiles` (`id`) ON DELETE CASCADE,
  CONSTRAINT `CONSTRAINT_1` CHECK (`allocated` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cisco_ml2_nexus_nve` (
  `vni` int(11) NOT NULL,
  `switch_ip` varchar(255) NOT NULL,
  `device_id` varchar(255) NOT NULL,
  `mcast_group` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`vni`,`switch_ip`,`device_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cisco_ml2_nexusport_bindings` (
  `binding_id` int(11) NOT NULL,
  `port_id` varchar(255) DEFAULT NULL,
  `vlan_id` int(11) NOT NULL,
  `switch_ip` varchar(255) DEFAULT NULL,
  `instance_id` varchar(255) DEFAULT NULL,
  `vni` int(11) DEFAULT NULL,
  `is_provider_vlan` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`binding_id`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`is_provider_vlan` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cisco_port_mappings` (
  `logical_resource_id` varchar(36) NOT NULL,
  `logical_port_id` varchar(36) NOT NULL,
  `port_type` varchar(32) DEFAULT NULL,
  `network_type` varchar(32) DEFAULT NULL,
  `hosting_port_id` varchar(36) DEFAULT NULL,
  `segmentation_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`logical_resource_id`,`logical_port_id`),
  KEY `hosting_port_id` (`hosting_port_id`),
  KEY `logical_port_id` (`logical_port_id`),
  CONSTRAINT `cisco_port_mappings_ibfk_1` FOREIGN KEY (`hosting_port_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE,
  CONSTRAINT `cisco_port_mappings_ibfk_2` FOREIGN KEY (`logical_port_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cisco_router_mappings` (
  `router_id` varchar(36) NOT NULL,
  `auto_schedule` tinyint(1) NOT NULL,
  `hosting_device_id` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`router_id`),
  KEY `hosting_device_id` (`hosting_device_id`),
  CONSTRAINT `cisco_router_mappings_ibfk_1` FOREIGN KEY (`hosting_device_id`) REFERENCES `cisco_hosting_devices` (`id`) ON DELETE SET NULL,
  CONSTRAINT `cisco_router_mappings_ibfk_2` FOREIGN KEY (`router_id`) REFERENCES `routers` (`id`) ON DELETE CASCADE,
  CONSTRAINT `CONSTRAINT_1` CHECK (`auto_schedule` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `conntrack_helpers` (
  `id` varchar(36) NOT NULL,
  `router_id` varchar(36) NOT NULL,
  `protocol` varchar(40) NOT NULL,
  `port` int(11) NOT NULL,
  `helper` varchar(64) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_conntrack_helpers0router_id0protocol0port0helper` (`router_id`,`protocol`,`port`,`helper`),
  CONSTRAINT `conntrack_helpers_ibfk_1` FOREIGN KEY (`router_id`) REFERENCES `routers` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `consistencyhashes` (
  `hash_id` varchar(255) NOT NULL,
  `hash` varchar(255) NOT NULL,
  PRIMARY KEY (`hash_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `default_security_group` (
  `project_id` varchar(255) NOT NULL,
  `security_group_id` varchar(36) NOT NULL,
  PRIMARY KEY (`project_id`),
  KEY `security_group_id` (`security_group_id`),
  CONSTRAINT `default_security_group_ibfk_1` FOREIGN KEY (`security_group_id`) REFERENCES `securitygroups` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dnsnameservers` (
  `address` varchar(128) NOT NULL,
  `subnet_id` varchar(36) NOT NULL,
  `order` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`address`,`subnet_id`),
  KEY `subnet_id` (`subnet_id`),
  CONSTRAINT `dnsnameservers_ibfk_1` FOREIGN KEY (`subnet_id`) REFERENCES `subnets` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dvr_fip_gateway_port_network` (
  `network_id` varchar(36) NOT NULL,
  `agent_id` varchar(36) NOT NULL,
  PRIMARY KEY (`network_id`,`agent_id`),
  KEY `agent_id` (`agent_id`),
  CONSTRAINT `dvr_fip_gateway_port_network_ibfk_1` FOREIGN KEY (`network_id`) REFERENCES `networks` (`id`) ON DELETE CASCADE,
  CONSTRAINT `dvr_fip_gateway_port_network_ibfk_2` FOREIGN KEY (`agent_id`) REFERENCES `agents` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dvr_host_macs` (
  `host` varchar(255) NOT NULL,
  `mac_address` varchar(32) NOT NULL,
  PRIMARY KEY (`host`),
  UNIQUE KEY `mac_address` (`mac_address`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `externalnetworks` (
  `network_id` varchar(36) NOT NULL,
  `is_default` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`network_id`),
  CONSTRAINT `externalnetworks_ibfk_1` FOREIGN KEY (`network_id`) REFERENCES `networks` (`id`) ON DELETE CASCADE,
  CONSTRAINT `CONSTRAINT_1` CHECK (`is_default` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `extradhcpopts` (
  `id` varchar(36) NOT NULL,
  `port_id` varchar(36) NOT NULL,
  `opt_name` varchar(64) NOT NULL,
  `opt_value` varchar(255) NOT NULL,
  `ip_version` int(11) NOT NULL DEFAULT 4,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_extradhcpopts0portid0optname0ipversion` (`port_id`,`opt_name`,`ip_version`),
  CONSTRAINT `extradhcpopts_ibfk_1` FOREIGN KEY (`port_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `firewall_policies` (
  `tenant_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(1024) DEFAULT NULL,
  `shared` tinyint(1) DEFAULT NULL,
  `audited` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`shared` in (0,1)),
  CONSTRAINT `CONSTRAINT_2` CHECK (`audited` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `firewall_rules` (
  `tenant_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(1024) DEFAULT NULL,
  `firewall_policy_id` varchar(36) DEFAULT NULL,
  `shared` tinyint(1) DEFAULT NULL,
  `protocol` varchar(40) DEFAULT NULL,
  `ip_version` int(11) NOT NULL,
  `source_ip_address` varchar(46) DEFAULT NULL,
  `destination_ip_address` varchar(46) DEFAULT NULL,
  `source_port_range_min` int(11) DEFAULT NULL,
  `source_port_range_max` int(11) DEFAULT NULL,
  `destination_port_range_min` int(11) DEFAULT NULL,
  `destination_port_range_max` int(11) DEFAULT NULL,
  `action` enum('allow','deny') DEFAULT NULL,
  `enabled` tinyint(1) DEFAULT NULL,
  `position` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `firewall_rules_ibfk_1` (`firewall_policy_id`),
  CONSTRAINT `firewall_rules_ibfk_1` FOREIGN KEY (`firewall_policy_id`) REFERENCES `firewall_policies` (`id`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`shared` in (0,1)),
  CONSTRAINT `CONSTRAINT_2` CHECK (`enabled` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `firewalls` (
  `tenant_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(1024) DEFAULT NULL,
  `shared` tinyint(1) DEFAULT NULL,
  `admin_state_up` tinyint(1) DEFAULT NULL,
  `status` varchar(16) DEFAULT NULL,
  `firewall_policy_id` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `firewalls_ibfk_1` (`firewall_policy_id`),
  CONSTRAINT `firewalls_ibfk_1` FOREIGN KEY (`firewall_policy_id`) REFERENCES `firewall_policies` (`id`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`shared` in (0,1)),
  CONSTRAINT `CONSTRAINT_2` CHECK (`admin_state_up` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `flavors` (
  `id` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(1024) DEFAULT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT 1,
  `service_type` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`enabled` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `flavorserviceprofilebindings` (
  `service_profile_id` varchar(36) NOT NULL,
  `flavor_id` varchar(36) NOT NULL,
  PRIMARY KEY (`service_profile_id`,`flavor_id`),
  KEY `flavorserviceprofilebindings_ibfk_2` (`flavor_id`),
  CONSTRAINT `flavorserviceprofilebindings_ibfk_1` FOREIGN KEY (`service_profile_id`) REFERENCES `serviceprofiles` (`id`) ON DELETE CASCADE,
  CONSTRAINT `flavorserviceprofilebindings_ibfk_2` FOREIGN KEY (`flavor_id`) REFERENCES `flavors` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `floatingipdnses` (
  `floatingip_id` varchar(36) NOT NULL,
  `dns_name` varchar(255) NOT NULL,
  `dns_domain` varchar(255) NOT NULL,
  `published_dns_name` varchar(255) NOT NULL,
  `published_dns_domain` varchar(255) NOT NULL,
  PRIMARY KEY (`floatingip_id`),
  KEY `ix_floatingipdnses_floatingip_id` (`floatingip_id`),
  CONSTRAINT `floatingipdnses_ibfk_1` FOREIGN KEY (`floatingip_id`) REFERENCES `floatingips` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `floatingips` (
  `project_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `floating_ip_address` varchar(64) NOT NULL,
  `floating_network_id` varchar(36) NOT NULL,
  `floating_port_id` varchar(36) NOT NULL,
  `fixed_port_id` varchar(36) DEFAULT NULL,
  `fixed_ip_address` varchar(64) DEFAULT NULL,
  `router_id` varchar(36) DEFAULT NULL,
  `last_known_router_id` varchar(36) DEFAULT NULL,
  `status` varchar(16) DEFAULT NULL,
  `standard_attr_id` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_floatingips0standard_attr_id` (`standard_attr_id`),
  UNIQUE KEY `uniq_floatingips0floatingnetworkid0fixedportid0fixedipaddress` (`floating_network_id`,`fixed_port_id`,`fixed_ip_address`),
  KEY `fixed_port_id` (`fixed_port_id`),
  KEY `floating_port_id` (`floating_port_id`),
  KEY `router_id` (`router_id`),
  KEY `ix_floatingips_project_id` (`project_id`),
  CONSTRAINT `floatingips_ibfk_1` FOREIGN KEY (`fixed_port_id`) REFERENCES `ports` (`id`),
  CONSTRAINT `floatingips_ibfk_2` FOREIGN KEY (`floating_port_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE,
  CONSTRAINT `floatingips_ibfk_3` FOREIGN KEY (`router_id`) REFERENCES `routers` (`id`),
  CONSTRAINT `floatingips_ibfk_4` FOREIGN KEY (`standard_attr_id`) REFERENCES `standardattributes` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ha_router_agent_port_bindings` (
  `port_id` varchar(36) NOT NULL,
  `router_id` varchar(36) NOT NULL,
  `l3_agent_id` varchar(36) DEFAULT NULL,
  `state` enum('active','standby','unknown') DEFAULT 'standby',
  PRIMARY KEY (`port_id`),
  UNIQUE KEY `uniq_ha_router_agent_port_bindings0port_id0l3_agent_id` (`router_id`,`l3_agent_id`),
  KEY `l3_agent_id` (`l3_agent_id`),
  CONSTRAINT `ha_router_agent_port_bindings_ibfk_1` FOREIGN KEY (`port_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE,
  CONSTRAINT `ha_router_agent_port_bindings_ibfk_2` FOREIGN KEY (`router_id`) REFERENCES `routers` (`id`) ON DELETE CASCADE,
  CONSTRAINT `ha_router_agent_port_bindings_ibfk_3` FOREIGN KEY (`l3_agent_id`) REFERENCES `agents` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ha_router_networks` (
  `project_id` varchar(255) NOT NULL,
  `network_id` varchar(36) NOT NULL,
  PRIMARY KEY (`project_id`,`network_id`),
  KEY `network_id` (`network_id`),
  CONSTRAINT `ha_router_networks_ibfk_1` FOREIGN KEY (`network_id`) REFERENCES `networks` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ha_router_vrid_allocations` (
  `network_id` varchar(36) NOT NULL,
  `vr_id` int(11) NOT NULL,
  PRIMARY KEY (`network_id`,`vr_id`),
  CONSTRAINT `ha_router_vrid_allocations_ibfk_1` FOREIGN KEY (`network_id`) REFERENCES `networks` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `healthmonitors` (
  `tenant_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `type` enum('PING','TCP','HTTP','HTTPS') NOT NULL,
  `delay` int(11) NOT NULL,
  `timeout` int(11) NOT NULL,
  `max_retries` int(11) NOT NULL,
  `http_method` varchar(16) DEFAULT NULL,
  `url_path` varchar(255) DEFAULT NULL,
  `expected_codes` varchar(64) DEFAULT NULL,
  `admin_state_up` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`admin_state_up` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ikepolicies` (
  `tenant_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `auth_algorithm` enum('sha1') NOT NULL,
  `encryption_algorithm` enum('3des','aes-128','aes-256','aes-192') NOT NULL,
  `phase1_negotiation_mode` enum('main') NOT NULL,
  `lifetime_units` enum('seconds','kilobytes') NOT NULL,
  `lifetime_value` int(11) NOT NULL,
  `ike_version` enum('v1','v2') NOT NULL,
  `pfs` enum('group2','group5','group14') NOT NULL,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ipallocationpools` (
  `id` varchar(36) NOT NULL,
  `subnet_id` varchar(36) DEFAULT NULL,
  `first_ip` varchar(64) NOT NULL,
  `last_ip` varchar(64) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `subnet_id` (`subnet_id`),
  CONSTRAINT `ipallocationpools_ibfk_1` FOREIGN KEY (`subnet_id`) REFERENCES `subnets` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ipallocations` (
  `port_id` varchar(36) DEFAULT NULL,
  `ip_address` varchar(64) NOT NULL,
  `subnet_id` varchar(36) NOT NULL,
  `network_id` varchar(36) NOT NULL,
  PRIMARY KEY (`ip_address`,`subnet_id`,`network_id`),
  KEY `network_id` (`network_id`),
  KEY `port_id` (`port_id`),
  KEY `subnet_id` (`subnet_id`),
  CONSTRAINT `ipallocations_ibfk_1` FOREIGN KEY (`network_id`) REFERENCES `networks` (`id`) ON DELETE CASCADE,
  CONSTRAINT `ipallocations_ibfk_2` FOREIGN KEY (`port_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE,
  CONSTRAINT `ipallocations_ibfk_3` FOREIGN KEY (`subnet_id`) REFERENCES `subnets` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ipamallocationpools` (
  `id` varchar(36) NOT NULL,
  `ipam_subnet_id` varchar(36) NOT NULL,
  `first_ip` varchar(64) NOT NULL,
  `last_ip` varchar(64) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ipam_subnet_id` (`ipam_subnet_id`),
  CONSTRAINT `ipamallocationpools_ibfk_1` FOREIGN KEY (`ipam_subnet_id`) REFERENCES `ipamsubnets` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ipamallocations` (
  `ip_address` varchar(64) NOT NULL,
  `status` varchar(36) DEFAULT NULL,
  `ipam_subnet_id` varchar(36) NOT NULL,
  PRIMARY KEY (`ip_address`,`ipam_subnet_id`),
  KEY `ipam_subnet_id` (`ipam_subnet_id`),
  CONSTRAINT `ipamallocations_ibfk_1` FOREIGN KEY (`ipam_subnet_id`) REFERENCES `ipamsubnets` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ipamsubnets` (
  `id` varchar(36) NOT NULL,
  `neutron_subnet_id` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ipsec_site_connections` (
  `tenant_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `peer_address` varchar(255) NOT NULL,
  `peer_id` varchar(255) NOT NULL,
  `route_mode` varchar(8) NOT NULL,
  `mtu` int(11) NOT NULL,
  `initiator` enum('bi-directional','response-only') NOT NULL,
  `auth_mode` varchar(16) NOT NULL,
  `psk` varchar(255) NOT NULL,
  `dpd_action` enum('hold','clear','restart','disabled','restart-by-peer') NOT NULL,
  `dpd_interval` int(11) NOT NULL,
  `dpd_timeout` int(11) NOT NULL,
  `status` varchar(16) NOT NULL,
  `admin_state_up` tinyint(1) NOT NULL,
  `vpnservice_id` varchar(36) NOT NULL,
  `ipsecpolicy_id` varchar(36) NOT NULL,
  `ikepolicy_id` varchar(36) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `vpnservice_id` (`vpnservice_id`),
  KEY `ipsecpolicy_id` (`ipsecpolicy_id`),
  KEY `ikepolicy_id` (`ikepolicy_id`),
  CONSTRAINT `ipsec_site_connections_ibfk_1` FOREIGN KEY (`vpnservice_id`) REFERENCES `vpnservices` (`id`),
  CONSTRAINT `ipsec_site_connections_ibfk_2` FOREIGN KEY (`ipsecpolicy_id`) REFERENCES `ipsecpolicies` (`id`),
  CONSTRAINT `ipsec_site_connections_ibfk_3` FOREIGN KEY (`ikepolicy_id`) REFERENCES `ikepolicies` (`id`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`admin_state_up` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ipsecpeercidrs` (
  `cidr` varchar(32) NOT NULL,
  `ipsec_site_connection_id` varchar(36) NOT NULL,
  PRIMARY KEY (`cidr`,`ipsec_site_connection_id`),
  KEY `ipsec_site_connection_id` (`ipsec_site_connection_id`),
  CONSTRAINT `ipsecpeercidrs_ibfk_1` FOREIGN KEY (`ipsec_site_connection_id`) REFERENCES `ipsec_site_connections` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ipsecpolicies` (
  `tenant_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `transform_protocol` enum('esp','ah','ah-esp') NOT NULL,
  `auth_algorithm` enum('sha1') NOT NULL,
  `encryption_algorithm` enum('3des','aes-128','aes-256','aes-192') NOT NULL,
  `encapsulation_mode` enum('tunnel','transport') NOT NULL,
  `lifetime_units` enum('seconds','kilobytes') NOT NULL,
  `lifetime_value` int(11) NOT NULL,
  `pfs` enum('group2','group5','group14') NOT NULL,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `logs` (
  `project_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `standard_attr_id` bigint(20) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `resource_type` varchar(36) NOT NULL,
  `resource_id` varchar(36) DEFAULT NULL,
  `target_id` varchar(36) DEFAULT NULL,
  `event` varchar(255) NOT NULL,
  `enabled` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `standard_attr_id` (`standard_attr_id`),
  KEY `ix_logs_target_id` (`target_id`),
  KEY `ix_logs_resource_id` (`resource_id`),
  KEY `ix_logs_project_id` (`project_id`),
  CONSTRAINT `logs_ibfk_1` FOREIGN KEY (`standard_attr_id`) REFERENCES `standardattributes` (`id`) ON DELETE CASCADE,
  CONSTRAINT `CONSTRAINT_1` CHECK (`enabled` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lsn` (
  `net_id` varchar(36) NOT NULL,
  `lsn_id` varchar(36) NOT NULL,
  PRIMARY KEY (`lsn_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lsn_port` (
  `lsn_port_id` varchar(36) NOT NULL,
  `lsn_id` varchar(36) NOT NULL,
  `sub_id` varchar(36) NOT NULL,
  `mac_addr` varchar(32) NOT NULL,
  PRIMARY KEY (`lsn_port_id`),
  UNIQUE KEY `sub_id` (`sub_id`),
  UNIQUE KEY `mac_addr` (`mac_addr`),
  KEY `lsn_id` (`lsn_id`),
  CONSTRAINT `lsn_port_ibfk_1` FOREIGN KEY (`lsn_id`) REFERENCES `lsn` (`lsn_id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `maclearningstates` (
  `port_id` varchar(36) NOT NULL,
  `mac_learning_enabled` tinyint(1) NOT NULL,
  PRIMARY KEY (`port_id`),
  CONSTRAINT `maclearningstates_ibfk_1` FOREIGN KEY (`port_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE,
  CONSTRAINT `CONSTRAINT_1` CHECK (`mac_learning_enabled` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `members` (
  `tenant_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `status` varchar(16) NOT NULL,
  `status_description` varchar(255) DEFAULT NULL,
  `pool_id` varchar(36) NOT NULL,
  `address` varchar(64) NOT NULL,
  `protocol_port` int(11) NOT NULL,
  `weight` int(11) NOT NULL,
  `admin_state_up` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_member0pool_id0address0port` (`pool_id`,`address`,`protocol_port`),
  CONSTRAINT `members_ibfk_1` FOREIGN KEY (`pool_id`) REFERENCES `pools` (`id`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`admin_state_up` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `meteringlabelrules` (
  `id` varchar(36) NOT NULL,
  `direction` enum('ingress','egress') DEFAULT NULL,
  `remote_ip_prefix` varchar(64) DEFAULT NULL,
  `metering_label_id` varchar(36) NOT NULL,
  `excluded` tinyint(1) DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `metering_label_id` (`metering_label_id`),
  CONSTRAINT `meteringlabelrules_ibfk_1` FOREIGN KEY (`metering_label_id`) REFERENCES `meteringlabels` (`id`) ON DELETE CASCADE,
  CONSTRAINT `CONSTRAINT_1` CHECK (`excluded` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `meteringlabels` (
  `project_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(1024) DEFAULT NULL,
  `shared` tinyint(1) DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `ix_meteringlabels_project_id` (`project_id`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`shared` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ml2_brocadenetworks` (
  `id` varchar(36) NOT NULL,
  `vlan` varchar(10) DEFAULT NULL,
  `segment_id` varchar(36) DEFAULT NULL,
  `network_type` varchar(10) DEFAULT NULL,
  `tenant_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_ml2_brocadenetworks_tenant_id` (`tenant_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ml2_brocadeports` (
  `id` varchar(36) NOT NULL,
  `network_id` varchar(36) NOT NULL,
  `admin_state_up` tinyint(1) NOT NULL,
  `physical_interface` varchar(36) DEFAULT NULL,
  `vlan_id` varchar(36) DEFAULT NULL,
  `tenant_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `network_id` (`network_id`),
  KEY `ix_ml2_brocadeports_tenant_id` (`tenant_id`),
  CONSTRAINT `ml2_brocadeports_ibfk_1` FOREIGN KEY (`network_id`) REFERENCES `ml2_brocadenetworks` (`id`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`admin_state_up` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ml2_distributed_port_bindings` (
  `port_id` varchar(36) NOT NULL,
  `host` varchar(255) NOT NULL,
  `router_id` varchar(36) DEFAULT NULL,
  `vif_type` varchar(64) NOT NULL,
  `vif_details` varchar(4095) NOT NULL DEFAULT '',
  `vnic_type` varchar(64) NOT NULL DEFAULT 'normal',
  `profile` varchar(4095) NOT NULL DEFAULT '',
  `status` varchar(16) NOT NULL,
  PRIMARY KEY (`port_id`,`host`),
  CONSTRAINT `ml2_distributed_port_bindings_ibfk_1` FOREIGN KEY (`port_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ml2_flat_allocations` (
  `physical_network` varchar(64) NOT NULL,
  PRIMARY KEY (`physical_network`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ml2_geneve_allocations` (
  `geneve_vni` int(11) NOT NULL,
  `allocated` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`geneve_vni`),
  KEY `ix_ml2_geneve_allocations_allocated` (`allocated`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`allocated` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ml2_geneve_endpoints` (
  `ip_address` varchar(64) NOT NULL,
  `host` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`ip_address`),
  UNIQUE KEY `unique_ml2_geneve_endpoints0host` (`host`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ml2_gre_allocations` (
  `gre_id` int(11) NOT NULL,
  `allocated` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`gre_id`),
  KEY `ix_ml2_gre_allocations_allocated` (`allocated`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`allocated` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ml2_gre_endpoints` (
  `ip_address` varchar(64) NOT NULL,
  `host` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`ip_address`),
  UNIQUE KEY `unique_ml2_gre_endpoints0host` (`host`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ml2_nexus_vxlan_allocations` (
  `vxlan_vni` int(11) NOT NULL,
  `allocated` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`vxlan_vni`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`allocated` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ml2_nexus_vxlan_mcast_groups` (
  `id` varchar(36) NOT NULL,
  `mcast_group` varchar(64) NOT NULL,
  `associated_vni` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `associated_vni` (`associated_vni`),
  CONSTRAINT `ml2_nexus_vxlan_mcast_groups_ibfk_1` FOREIGN KEY (`associated_vni`) REFERENCES `ml2_nexus_vxlan_allocations` (`vxlan_vni`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ml2_port_binding_levels` (
  `port_id` varchar(36) NOT NULL,
  `host` varchar(255) NOT NULL,
  `level` int(11) NOT NULL,
  `driver` varchar(64) DEFAULT NULL,
  `segment_id` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`port_id`,`host`,`level`),
  KEY `ml2_port_binding_levels_ibfk_2` (`segment_id`),
  CONSTRAINT `ml2_port_binding_levels_ibfk_1` FOREIGN KEY (`port_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE,
  CONSTRAINT `ml2_port_binding_levels_ibfk_2` FOREIGN KEY (`segment_id`) REFERENCES `networksegments` (`id`) ON DELETE SET NULL
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ml2_port_bindings` (
  `port_id` varchar(36) NOT NULL,
  `host` varchar(255) NOT NULL DEFAULT '',
  `vif_type` varchar(64) NOT NULL,
  `vnic_type` varchar(64) NOT NULL DEFAULT 'normal',
  `profile` varchar(4095) NOT NULL DEFAULT '',
  `vif_details` varchar(4095) NOT NULL DEFAULT '',
  `status` varchar(16) NOT NULL DEFAULT 'ACTIVE',
  PRIMARY KEY (`port_id`,`host`),
  CONSTRAINT `ml2_port_bindings_ibfk_1` FOREIGN KEY (`port_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ml2_ucsm_port_profiles` (
  `vlan_id` int(11) NOT NULL,
  `profile_id` varchar(64) NOT NULL,
  `created_on_ucs` tinyint(1) NOT NULL,
  PRIMARY KEY (`vlan_id`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`created_on_ucs` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ml2_vlan_allocations` (
  `physical_network` varchar(64) NOT NULL,
  `vlan_id` int(11) NOT NULL,
  `allocated` tinyint(1) NOT NULL,
  PRIMARY KEY (`physical_network`,`vlan_id`),
  KEY `ix_ml2_vlan_allocations_physical_network_allocated` (`physical_network`,`allocated`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`allocated` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ml2_vxlan_allocations` (
  `vxlan_vni` int(11) NOT NULL,
  `allocated` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`vxlan_vni`),
  KEY `ix_ml2_vxlan_allocations_allocated` (`allocated`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`allocated` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ml2_vxlan_endpoints` (
  `ip_address` varchar(64) NOT NULL,
  `udp_port` int(11) NOT NULL,
  `host` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`ip_address`),
  UNIQUE KEY `unique_ml2_vxlan_endpoints0host` (`host`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

INSERT INTO `ml2_vxlan_endpoints` VALUES ('172.17.0.1',4789,'controller-0');
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `multi_provider_networks` (
  `network_id` varchar(36) NOT NULL,
  PRIMARY KEY (`network_id`),
  CONSTRAINT `multi_provider_networks_ibfk_1` FOREIGN KEY (`network_id`) REFERENCES `networks` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `network_segment_ranges` (
  `id` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `default` tinyint(1) NOT NULL,
  `shared` tinyint(1) NOT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `network_type` enum('vlan','vxlan','gre','geneve') NOT NULL,
  `physical_network` varchar(64) DEFAULT NULL,
  `minimum` int(11) DEFAULT NULL,
  `maximum` int(11) DEFAULT NULL,
  `standard_attr_id` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `standard_attr_id` (`standard_attr_id`),
  CONSTRAINT `network_segment_ranges_ibfk_1` FOREIGN KEY (`standard_attr_id`) REFERENCES `standardattributes` (`id`) ON DELETE CASCADE,
  CONSTRAINT `CONSTRAINT_1` CHECK (`default` in (0,1)),
  CONSTRAINT `CONSTRAINT_2` CHECK (`shared` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `network_subnet_lock` (
  `network_id` varchar(36) NOT NULL,
  `subnet_id` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`network_id`),
  CONSTRAINT `network_subnet_lock_ibfk_1` FOREIGN KEY (`network_id`) REFERENCES `networks` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `networkconnections` (
  `tenant_id` varchar(255) DEFAULT NULL,
  `network_gateway_id` varchar(36) DEFAULT NULL,
  `network_id` varchar(36) DEFAULT NULL,
  `segmentation_type` enum('flat','vlan') DEFAULT NULL,
  `segmentation_id` int(11) DEFAULT NULL,
  `port_id` varchar(36) NOT NULL,
  PRIMARY KEY (`port_id`),
  UNIQUE KEY `network_gateway_id` (`network_gateway_id`,`segmentation_type`,`segmentation_id`),
  KEY `network_id` (`network_id`),
  KEY `ix_networkconnections_tenant_id` (`tenant_id`),
  CONSTRAINT `networkconnections_ibfk_1` FOREIGN KEY (`network_gateway_id`) REFERENCES `networkgateways` (`id`) ON DELETE CASCADE,
  CONSTRAINT `networkconnections_ibfk_2` FOREIGN KEY (`network_id`) REFERENCES `networks` (`id`) ON DELETE CASCADE,
  CONSTRAINT `networkconnections_ibfk_3` FOREIGN KEY (`port_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `networkdhcpagentbindings` (
  `network_id` varchar(36) NOT NULL,
  `dhcp_agent_id` varchar(36) NOT NULL,
  `binding_index` int(11) NOT NULL DEFAULT 1,
  PRIMARY KEY (`network_id`,`dhcp_agent_id`),
  UNIQUE KEY `uniq_network_dhcp_agent_binding0network_id0binding_index0` (`network_id`,`binding_index`),
  KEY `dhcp_agent_id` (`dhcp_agent_id`),
  CONSTRAINT `networkdhcpagentbindings_ibfk_1` FOREIGN KEY (`dhcp_agent_id`) REFERENCES `agents` (`id`) ON DELETE CASCADE,
  CONSTRAINT `networkdhcpagentbindings_ibfk_2` FOREIGN KEY (`network_id`) REFERENCES `networks` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `networkdnsdomains` (
  `network_id` varchar(36) NOT NULL,
  `dns_domain` varchar(255) NOT NULL,
  PRIMARY KEY (`network_id`),
  KEY `ix_networkdnsdomains_network_id` (`network_id`),
  CONSTRAINT `networkdnsdomains_ibfk_1` FOREIGN KEY (`network_id`) REFERENCES `networks` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `networkgatewaydevicereferences` (
  `id` varchar(36) NOT NULL,
  `network_gateway_id` varchar(36) NOT NULL,
  `interface_name` varchar(64) NOT NULL,
  PRIMARY KEY (`id`,`network_gateway_id`,`interface_name`),
  KEY `network_gateway_id` (`network_gateway_id`),
  CONSTRAINT `networkgatewaydevicereferences_ibfk_1` FOREIGN KEY (`network_gateway_id`) REFERENCES `networkgateways` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `networkgatewaydevices` (
  `tenant_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `nsx_id` varchar(36) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `connector_type` varchar(10) DEFAULT NULL,
  `connector_ip` varchar(64) DEFAULT NULL,
  `status` varchar(16) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_networkgatewaydevices_tenant_id` (`tenant_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `networkgateways` (
  `id` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `tenant_id` varchar(36) DEFAULT NULL,
  `default` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`default` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `networkqueuemappings` (
  `network_id` varchar(36) NOT NULL,
  `queue_id` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`network_id`),
  KEY `queue_id` (`queue_id`),
  CONSTRAINT `networkqueuemappings_ibfk_1` FOREIGN KEY (`network_id`) REFERENCES `networks` (`id`) ON DELETE CASCADE,
  CONSTRAINT `networkqueuemappings_ibfk_2` FOREIGN KEY (`queue_id`) REFERENCES `qosqueues` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `networkrbacs` (
  `id` varchar(36) NOT NULL,
  `object_id` varchar(36) NOT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `target_tenant` varchar(255) NOT NULL,
  `action` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_networkrbacs0tenant_target0object_id0action` (`action`,`object_id`,`target_tenant`),
  KEY `object_id` (`object_id`),
  KEY `ix_networkrbacs_project_id` (`project_id`),
  CONSTRAINT `networkrbacs_ibfk_1` FOREIGN KEY (`object_id`) REFERENCES `networks` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `networks` (
  `project_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `status` varchar(16) DEFAULT NULL,
  `admin_state_up` tinyint(1) DEFAULT NULL,
  `vlan_transparent` tinyint(1) DEFAULT NULL,
  `standard_attr_id` bigint(20) NOT NULL,
  `availability_zone_hints` varchar(255) DEFAULT NULL,
  `mtu` int(11) NOT NULL DEFAULT 1500,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_networks0standard_attr_id` (`standard_attr_id`),
  KEY `ix_networks_project_id` (`project_id`),
  CONSTRAINT `networks_ibfk_1` FOREIGN KEY (`standard_attr_id`) REFERENCES `standardattributes` (`id`) ON DELETE CASCADE,
  CONSTRAINT `CONSTRAINT_1` CHECK (`admin_state_up` in (0,1)),
  CONSTRAINT `CONSTRAINT_3` CHECK (`vlan_transparent` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `networksecuritybindings` (
  `network_id` varchar(36) NOT NULL,
  `port_security_enabled` tinyint(1) NOT NULL,
  PRIMARY KEY (`network_id`),
  CONSTRAINT `networksecuritybindings_ibfk_1` FOREIGN KEY (`network_id`) REFERENCES `networks` (`id`) ON DELETE CASCADE,
  CONSTRAINT `CONSTRAINT_1` CHECK (`port_security_enabled` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `networksegments` (
  `id` varchar(36) NOT NULL,
  `network_id` varchar(36) NOT NULL,
  `network_type` varchar(32) NOT NULL,
  `physical_network` varchar(64) DEFAULT NULL,
  `segmentation_id` int(11) DEFAULT NULL,
  `is_dynamic` tinyint(1) NOT NULL DEFAULT 0,
  `segment_index` int(11) NOT NULL DEFAULT 0,
  `standard_attr_id` bigint(20) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_networksegments0standard_attr_id` (`standard_attr_id`),
  KEY `network_id` (`network_id`),
  CONSTRAINT `networksegments_ibfk_1` FOREIGN KEY (`network_id`) REFERENCES `networks` (`id`) ON DELETE CASCADE,
  CONSTRAINT `networksegments_ibfk_2` FOREIGN KEY (`standard_attr_id`) REFERENCES `standardattributes` (`id`) ON DELETE CASCADE,
  CONSTRAINT `CONSTRAINT_1` CHECK (`is_dynamic` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `neutron_nsx_network_mappings` (
  `neutron_id` varchar(36) NOT NULL,
  `nsx_id` varchar(36) NOT NULL,
  PRIMARY KEY (`neutron_id`,`nsx_id`),
  CONSTRAINT `neutron_nsx_network_mappings_ibfk_1` FOREIGN KEY (`neutron_id`) REFERENCES `networks` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `neutron_nsx_port_mappings` (
  `neutron_id` varchar(36) NOT NULL,
  `nsx_port_id` varchar(36) NOT NULL,
  `nsx_switch_id` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`neutron_id`),
  CONSTRAINT `neutron_nsx_port_mappings_ibfk_1` FOREIGN KEY (`neutron_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `neutron_nsx_router_mappings` (
  `neutron_id` varchar(36) NOT NULL,
  `nsx_id` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`neutron_id`),
  CONSTRAINT `neutron_nsx_router_mappings_ibfk_1` FOREIGN KEY (`neutron_id`) REFERENCES `routers` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `neutron_nsx_security_group_mappings` (
  `neutron_id` varchar(36) NOT NULL,
  `nsx_id` varchar(36) NOT NULL,
  PRIMARY KEY (`neutron_id`,`nsx_id`),
  CONSTRAINT `neutron_nsx_security_group_mappings_ibfk_1` FOREIGN KEY (`neutron_id`) REFERENCES `securitygroups` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `nexthops` (
  `rule_id` int(11) NOT NULL,
  `nexthop` varchar(64) NOT NULL,
  PRIMARY KEY (`rule_id`,`nexthop`),
  CONSTRAINT `nexthops_ibfk_1` FOREIGN KEY (`rule_id`) REFERENCES `routerrules` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `nsxv_edge_dhcp_static_bindings` (
  `edge_id` varchar(36) NOT NULL,
  `mac_address` varchar(32) NOT NULL,
  `binding_id` varchar(36) NOT NULL,
  PRIMARY KEY (`edge_id`,`mac_address`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `nsxv_edge_vnic_bindings` (
  `edge_id` varchar(36) NOT NULL,
  `vnic_index` int(11) NOT NULL,
  `tunnel_index` int(11) NOT NULL,
  `network_id` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`edge_id`,`vnic_index`,`tunnel_index`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `nsxv_firewall_rule_bindings` (
  `rule_id` varchar(36) NOT NULL,
  `edge_id` varchar(36) NOT NULL,
  `rule_vse_id` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`rule_id`,`edge_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `nsxv_internal_edges` (
  `ext_ip_address` varchar(64) NOT NULL,
  `router_id` varchar(36) DEFAULT NULL,
  `purpose` enum('inter_edge_net') DEFAULT NULL,
  PRIMARY KEY (`ext_ip_address`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `nsxv_internal_networks` (
  `network_purpose` enum('inter_edge_net') NOT NULL,
  `network_id` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`network_purpose`),
  KEY `network_id` (`network_id`),
  CONSTRAINT `nsxv_internal_networks_ibfk_1` FOREIGN KEY (`network_id`) REFERENCES `networks` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `nsxv_port_index_mappings` (
  `port_id` varchar(36) NOT NULL,
  `device_id` varchar(255) NOT NULL,
  `index` int(11) NOT NULL,
  PRIMARY KEY (`port_id`),
  UNIQUE KEY `device_id` (`device_id`,`index`),
  CONSTRAINT `nsxv_port_index_mappings_ibfk_1` FOREIGN KEY (`port_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `nsxv_port_vnic_mappings` (
  `neutron_id` varchar(36) NOT NULL,
  `nsx_id` varchar(42) NOT NULL,
  PRIMARY KEY (`neutron_id`,`nsx_id`),
  CONSTRAINT `nsxv_port_vnic_mappings_ibfk_1` FOREIGN KEY (`neutron_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `nsxv_router_bindings` (
  `status` varchar(16) NOT NULL,
  `status_description` varchar(255) DEFAULT NULL,
  `router_id` varchar(36) NOT NULL,
  `edge_id` varchar(36) DEFAULT NULL,
  `lswitch_id` varchar(36) DEFAULT NULL,
  `appliance_size` enum('compact','large','xlarge','quadlarge') DEFAULT NULL,
  `edge_type` enum('service','vdr') DEFAULT NULL,
  PRIMARY KEY (`router_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `nsxv_router_ext_attributes` (
  `router_id` varchar(36) NOT NULL,
  `distributed` tinyint(1) NOT NULL,
  `router_type` enum('shared','exclusive') NOT NULL,
  `service_router` tinyint(1) NOT NULL,
  PRIMARY KEY (`router_id`),
  CONSTRAINT `nsxv_router_ext_attributes_ibfk_1` FOREIGN KEY (`router_id`) REFERENCES `routers` (`id`) ON DELETE CASCADE,
  CONSTRAINT `CONSTRAINT_1` CHECK (`distributed` in (0,1)),
  CONSTRAINT `CONSTRAINT_2` CHECK (`service_router` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `nsxv_rule_mappings` (
  `neutron_id` varchar(36) NOT NULL,
  `nsx_rule_id` varchar(36) NOT NULL,
  PRIMARY KEY (`neutron_id`,`nsx_rule_id`),
  CONSTRAINT `nsxv_rule_mappings_ibfk_1` FOREIGN KEY (`neutron_id`) REFERENCES `securitygrouprules` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `nsxv_security_group_section_mappings` (
  `neutron_id` varchar(36) NOT NULL,
  `ip_section_id` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`neutron_id`),
  CONSTRAINT `nsxv_security_group_section_mappings_ibfk_1` FOREIGN KEY (`neutron_id`) REFERENCES `securitygroups` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `nsxv_spoofguard_policy_network_mappings` (
  `network_id` varchar(36) NOT NULL,
  `policy_id` varchar(36) NOT NULL,
  PRIMARY KEY (`network_id`),
  CONSTRAINT `nsxv_spoofguard_policy_network_mappings_ibfk_1` FOREIGN KEY (`network_id`) REFERENCES `networks` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `nsxv_tz_network_bindings` (
  `network_id` varchar(36) NOT NULL,
  `binding_type` enum('flat','vlan','portgroup') NOT NULL,
  `phy_uuid` varchar(36) NOT NULL,
  `vlan_id` int(11) NOT NULL,
  PRIMARY KEY (`network_id`,`binding_type`,`phy_uuid`,`vlan_id`),
  CONSTRAINT `nsxv_tz_network_bindings_ibfk_1` FOREIGN KEY (`network_id`) REFERENCES `networks` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `nsxv_vdr_dhcp_bindings` (
  `vdr_router_id` varchar(36) NOT NULL,
  `dhcp_router_id` varchar(36) NOT NULL,
  `dhcp_edge_id` varchar(36) NOT NULL,
  PRIMARY KEY (`vdr_router_id`),
  UNIQUE KEY `unique_nsxv_vdr_dhcp_bindings0dhcp_router_id` (`dhcp_router_id`),
  UNIQUE KEY `unique_nsxv_vdr_dhcp_bindings0dhcp_edge_id` (`dhcp_edge_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `nuage_net_partition_router_mapping` (
  `net_partition_id` varchar(36) NOT NULL,
  `router_id` varchar(36) NOT NULL,
  `nuage_router_id` varchar(36) DEFAULT NULL,
  `nuage_rtr_rd` varchar(36) DEFAULT NULL,
  `nuage_rtr_rt` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`net_partition_id`,`router_id`),
  UNIQUE KEY `nuage_router_id` (`nuage_router_id`),
  KEY `router_id` (`router_id`),
  CONSTRAINT `nuage_net_partition_router_mapping_ibfk_1` FOREIGN KEY (`net_partition_id`) REFERENCES `nuage_net_partitions` (`id`) ON DELETE CASCADE,
  CONSTRAINT `nuage_net_partition_router_mapping_ibfk_2` FOREIGN KEY (`router_id`) REFERENCES `routers` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `nuage_net_partitions` (
  `id` varchar(36) NOT NULL,
  `name` varchar(64) DEFAULT NULL,
  `l3dom_tmplt_id` varchar(36) DEFAULT NULL,
  `l2dom_tmplt_id` varchar(36) DEFAULT NULL,
  `isolated_zone` varchar(64) DEFAULT NULL,
  `shared_zone` varchar(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `nuage_provider_net_bindings` (
  `network_id` varchar(36) NOT NULL,
  `network_type` varchar(32) NOT NULL,
  `physical_network` varchar(64) NOT NULL,
  `vlan_id` int(11) NOT NULL,
  PRIMARY KEY (`network_id`),
  CONSTRAINT `nuage_provider_net_bindings_ibfk_1` FOREIGN KEY (`network_id`) REFERENCES `networks` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `nuage_subnet_l2dom_mapping` (
  `subnet_id` varchar(36) NOT NULL,
  `net_partition_id` varchar(36) DEFAULT NULL,
  `nuage_subnet_id` varchar(36) DEFAULT NULL,
  `nuage_l2dom_tmplt_id` varchar(36) DEFAULT NULL,
  `nuage_user_id` varchar(36) DEFAULT NULL,
  `nuage_group_id` varchar(36) DEFAULT NULL,
  `nuage_managed_subnet` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`subnet_id`),
  UNIQUE KEY `nuage_subnet_id` (`nuage_subnet_id`),
  KEY `net_partition_id` (`net_partition_id`),
  CONSTRAINT `nuage_subnet_l2dom_mapping_ibfk_1` FOREIGN KEY (`subnet_id`) REFERENCES `subnets` (`id`) ON DELETE CASCADE,
  CONSTRAINT `nuage_subnet_l2dom_mapping_ibfk_2` FOREIGN KEY (`net_partition_id`) REFERENCES `nuage_net_partitions` (`id`) ON DELETE CASCADE,
  CONSTRAINT `CONSTRAINT_1` CHECK (`nuage_managed_subnet` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ovn_hash_ring` (
  `node_uuid` varchar(36) NOT NULL,
  `group_name` varchar(256) NOT NULL,
  `hostname` varchar(256) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`node_uuid`,`group_name`),
  KEY `ix_ovn_hash_ring_node_uuid` (`node_uuid`),
  KEY `ix_ovn_hash_ring_group_name` (`group_name`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ovn_revision_numbers` (
  `standard_attr_id` bigint(20) DEFAULT NULL,
  `resource_uuid` varchar(36) NOT NULL,
  `resource_type` varchar(36) NOT NULL,
  `revision_number` bigint(20) NOT NULL DEFAULT 0,
  `created_at` datetime NOT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`resource_uuid`,`resource_type`),
  KEY `standard_attr_id` (`standard_attr_id`),
  KEY `ix_ovn_revision_numbers_resource_type` (`resource_type`),
  KEY `ix_ovn_revision_numbers_resource_uuid` (`resource_uuid`),
  CONSTRAINT `ovn_revision_numbers_ibfk_1` FOREIGN KEY (`standard_attr_id`) REFERENCES `standardattributes` (`id`) ON DELETE SET NULL
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `poolloadbalanceragentbindings` (
  `pool_id` varchar(36) NOT NULL,
  `agent_id` varchar(36) NOT NULL,
  PRIMARY KEY (`pool_id`),
  KEY `agent_id` (`agent_id`),
  CONSTRAINT `poolloadbalanceragentbindings_ibfk_1` FOREIGN KEY (`pool_id`) REFERENCES `pools` (`id`) ON DELETE CASCADE,
  CONSTRAINT `poolloadbalanceragentbindings_ibfk_2` FOREIGN KEY (`agent_id`) REFERENCES `agents` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `poolmonitorassociations` (
  `status` varchar(16) NOT NULL,
  `status_description` varchar(255) DEFAULT NULL,
  `pool_id` varchar(36) NOT NULL,
  `monitor_id` varchar(36) NOT NULL,
  PRIMARY KEY (`pool_id`,`monitor_id`),
  KEY `monitor_id` (`monitor_id`),
  CONSTRAINT `poolmonitorassociations_ibfk_1` FOREIGN KEY (`pool_id`) REFERENCES `pools` (`id`),
  CONSTRAINT `poolmonitorassociations_ibfk_2` FOREIGN KEY (`monitor_id`) REFERENCES `healthmonitors` (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pools` (
  `tenant_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `status` varchar(16) NOT NULL,
  `status_description` varchar(255) DEFAULT NULL,
  `vip_id` varchar(36) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `subnet_id` varchar(36) NOT NULL,
  `protocol` enum('HTTP','HTTPS','TCP') NOT NULL,
  `lb_method` enum('ROUND_ROBIN','LEAST_CONNECTIONS','SOURCE_IP') NOT NULL,
  `admin_state_up` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `vip_id` (`vip_id`),
  CONSTRAINT `pools_ibfk_1` FOREIGN KEY (`vip_id`) REFERENCES `vips` (`id`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`admin_state_up` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `poolstatisticss` (
  `pool_id` varchar(36) NOT NULL,
  `bytes_in` bigint(20) NOT NULL,
  `bytes_out` bigint(20) NOT NULL,
  `active_connections` bigint(20) NOT NULL,
  `total_connections` bigint(20) NOT NULL,
  PRIMARY KEY (`pool_id`),
  CONSTRAINT `poolstatisticss_ibfk_1` FOREIGN KEY (`pool_id`) REFERENCES `pools` (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `portbindingports` (
  `port_id` varchar(36) NOT NULL,
  `host` varchar(255) NOT NULL,
  PRIMARY KEY (`port_id`),
  CONSTRAINT `portbindingports_ibfk_1` FOREIGN KEY (`port_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `portdataplanestatuses` (
  `port_id` varchar(36) NOT NULL,
  `data_plane_status` varchar(16) DEFAULT NULL,
  PRIMARY KEY (`port_id`),
  KEY `ix_portdataplanestatuses_port_id` (`port_id`),
  CONSTRAINT `portdataplanestatuses_ibfk_1` FOREIGN KEY (`port_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `portdnses` (
  `port_id` varchar(36) NOT NULL,
  `current_dns_name` varchar(255) NOT NULL,
  `current_dns_domain` varchar(255) NOT NULL,
  `previous_dns_name` varchar(255) NOT NULL,
  `previous_dns_domain` varchar(255) NOT NULL,
  `dns_name` varchar(255) NOT NULL,
  `dns_domain` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`port_id`),
  KEY `ix_portdnses_port_id` (`port_id`),
  CONSTRAINT `portdnses_ibfk_1` FOREIGN KEY (`port_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `portforwardings` (
  `id` varchar(36) NOT NULL,
  `floatingip_id` varchar(36) NOT NULL,
  `external_port` int(11) NOT NULL,
  `internal_neutron_port_id` varchar(36) NOT NULL,
  `protocol` varchar(40) NOT NULL,
  `socket` varchar(36) NOT NULL,
  `standard_attr_id` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_port_forwardings0floatingip_id0external_port0protocol` (`floatingip_id`,`external_port`,`protocol`),
  UNIQUE KEY `uniq_port_forwardings0internal_neutron_port_id0socket0protocol` (`internal_neutron_port_id`,`socket`,`protocol`),
  UNIQUE KEY `uniq_portforwardings0standard_attr_id` (`standard_attr_id`),
  CONSTRAINT `portforwardings_ibfk_1` FOREIGN KEY (`floatingip_id`) REFERENCES `floatingips` (`id`) ON DELETE CASCADE,
  CONSTRAINT `portforwardings_ibfk_2` FOREIGN KEY (`internal_neutron_port_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE,
  CONSTRAINT `portforwardings_ibfk_3` FOREIGN KEY (`standard_attr_id`) REFERENCES `standardattributes` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `portqueuemappings` (
  `port_id` varchar(36) NOT NULL,
  `queue_id` varchar(36) NOT NULL,
  PRIMARY KEY (`port_id`,`queue_id`),
  KEY `queue_id` (`queue_id`),
  CONSTRAINT `portqueuemappings_ibfk_1` FOREIGN KEY (`port_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE,
  CONSTRAINT `portqueuemappings_ibfk_2` FOREIGN KEY (`queue_id`) REFERENCES `qosqueues` (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ports` (
  `project_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `network_id` varchar(36) NOT NULL,
  `mac_address` varchar(32) NOT NULL,
  `admin_state_up` tinyint(1) NOT NULL,
  `status` varchar(16) NOT NULL,
  `device_id` varchar(255) NOT NULL,
  `device_owner` varchar(255) NOT NULL,
  `standard_attr_id` bigint(20) NOT NULL,
  `ip_allocation` varchar(16) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_ports0network_id0mac_address` (`network_id`,`mac_address`),
  UNIQUE KEY `uniq_ports0standard_attr_id` (`standard_attr_id`),
  KEY `ix_ports_network_id_device_owner` (`network_id`,`device_owner`),
  KEY `ix_ports_network_id_mac_address` (`network_id`,`mac_address`),
  KEY `ix_ports_device_id` (`device_id`),
  KEY `ix_ports_project_id` (`project_id`),
  CONSTRAINT `ports_ibfk_1` FOREIGN KEY (`network_id`) REFERENCES `networks` (`id`),
  CONSTRAINT `ports_ibfk_2` FOREIGN KEY (`standard_attr_id`) REFERENCES `standardattributes` (`id`) ON DELETE CASCADE,
  CONSTRAINT `CONSTRAINT_1` CHECK (`admin_state_up` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `portsecuritybindings` (
  `port_id` varchar(36) NOT NULL,
  `port_security_enabled` tinyint(1) NOT NULL,
  PRIMARY KEY (`port_id`),
  CONSTRAINT `portsecuritybindings_ibfk_1` FOREIGN KEY (`port_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE,
  CONSTRAINT `CONSTRAINT_1` CHECK (`port_security_enabled` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `portuplinkstatuspropagation` (
  `port_id` varchar(36) NOT NULL,
  `propagate_uplink_status` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`port_id`),
  KEY `ix_portuplinkstatuspropagation_port_id` (`port_id`),
  CONSTRAINT `portuplinkstatuspropagation_ibfk_1` FOREIGN KEY (`port_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE,
  CONSTRAINT `CONSTRAINT_1` CHECK (`propagate_uplink_status` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `providerresourceassociations` (
  `provider_name` varchar(255) NOT NULL,
  `resource_id` varchar(36) NOT NULL,
  PRIMARY KEY (`provider_name`,`resource_id`),
  UNIQUE KEY `resource_id` (`resource_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `provisioningblocks` (
  `standard_attr_id` bigint(20) NOT NULL,
  `entity` varchar(255) NOT NULL,
  PRIMARY KEY (`standard_attr_id`,`entity`),
  CONSTRAINT `provisioningblocks_ibfk_1` FOREIGN KEY (`standard_attr_id`) REFERENCES `standardattributes` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qos_bandwidth_limit_rules` (
  `id` varchar(36) NOT NULL,
  `qos_policy_id` varchar(36) NOT NULL,
  `max_kbps` int(11) DEFAULT NULL,
  `max_burst_kbps` int(11) DEFAULT NULL,
  `direction` enum('egress','ingress') NOT NULL DEFAULT 'egress',
  PRIMARY KEY (`id`),
  UNIQUE KEY `qos_bandwidth_rules0qos_policy_id0direction` (`qos_policy_id`,`direction`),
  CONSTRAINT `qos_bandwidth_limit_rules_ibfk_1` FOREIGN KEY (`qos_policy_id`) REFERENCES `qos_policies` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qos_dscp_marking_rules` (
  `id` varchar(36) NOT NULL,
  `qos_policy_id` varchar(36) NOT NULL,
  `dscp_mark` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `qos_policy_id` (`qos_policy_id`),
  CONSTRAINT `qos_dscp_marking_rules_ibfk_1` FOREIGN KEY (`qos_policy_id`) REFERENCES `qos_policies` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qos_fip_policy_bindings` (
  `policy_id` varchar(36) NOT NULL,
  `fip_id` varchar(36) NOT NULL,
  UNIQUE KEY `fip_id` (`fip_id`),
  KEY `policy_id` (`policy_id`),
  CONSTRAINT `qos_fip_policy_bindings_ibfk_1` FOREIGN KEY (`policy_id`) REFERENCES `qos_policies` (`id`) ON DELETE CASCADE,
  CONSTRAINT `qos_fip_policy_bindings_ibfk_2` FOREIGN KEY (`fip_id`) REFERENCES `floatingips` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qos_minimum_bandwidth_rules` (
  `id` varchar(36) NOT NULL,
  `qos_policy_id` varchar(36) NOT NULL,
  `min_kbps` int(11) DEFAULT NULL,
  `direction` enum('egress','ingress') NOT NULL DEFAULT 'egress',
  PRIMARY KEY (`id`),
  UNIQUE KEY `qos_minimum_bandwidth_rules0qos_policy_id0direction` (`qos_policy_id`,`direction`),
  KEY `ix_qos_minimum_bandwidth_rules_qos_policy_id` (`qos_policy_id`),
  CONSTRAINT `qos_minimum_bandwidth_rules_ibfk_1` FOREIGN KEY (`qos_policy_id`) REFERENCES `qos_policies` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qos_network_policy_bindings` (
  `policy_id` varchar(36) NOT NULL,
  `network_id` varchar(36) NOT NULL,
  UNIQUE KEY `network_id` (`network_id`),
  KEY `policy_id` (`policy_id`),
  CONSTRAINT `qos_network_policy_bindings_ibfk_1` FOREIGN KEY (`policy_id`) REFERENCES `qos_policies` (`id`) ON DELETE CASCADE,
  CONSTRAINT `qos_network_policy_bindings_ibfk_2` FOREIGN KEY (`network_id`) REFERENCES `networks` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qos_policies` (
  `id` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `standard_attr_id` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_qos_policies0standard_attr_id` (`standard_attr_id`),
  KEY `ix_qos_policies_project_id` (`project_id`),
  CONSTRAINT `qos_policies_ibfk_1` FOREIGN KEY (`standard_attr_id`) REFERENCES `standardattributes` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qos_policies_default` (
  `qos_policy_id` varchar(36) NOT NULL,
  `project_id` varchar(255) NOT NULL,
  PRIMARY KEY (`project_id`),
  KEY `qos_policy_id` (`qos_policy_id`),
  KEY `ix_qos_policies_default_project_id` (`project_id`),
  CONSTRAINT `qos_policies_default_ibfk_1` FOREIGN KEY (`qos_policy_id`) REFERENCES `qos_policies` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qos_port_policy_bindings` (
  `policy_id` varchar(36) NOT NULL,
  `port_id` varchar(36) NOT NULL,
  UNIQUE KEY `port_id` (`port_id`),
  KEY `policy_id` (`policy_id`),
  CONSTRAINT `qos_port_policy_bindings_ibfk_1` FOREIGN KEY (`policy_id`) REFERENCES `qos_policies` (`id`) ON DELETE CASCADE,
  CONSTRAINT `qos_port_policy_bindings_ibfk_2` FOREIGN KEY (`port_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qos_router_gw_policy_bindings` (
  `policy_id` varchar(36) NOT NULL,
  `router_id` varchar(36) NOT NULL,
  PRIMARY KEY (`policy_id`,`router_id`),
  UNIQUE KEY `router_id` (`router_id`),
  CONSTRAINT `qos_router_gw_policy_bindings_ibfk_1` FOREIGN KEY (`policy_id`) REFERENCES `qos_policies` (`id`) ON DELETE CASCADE,
  CONSTRAINT `qos_router_gw_policy_bindings_ibfk_2` FOREIGN KEY (`router_id`) REFERENCES `routers` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qospolicyrbacs` (
  `id` varchar(36) NOT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `target_tenant` varchar(255) NOT NULL,
  `action` varchar(255) NOT NULL,
  `object_id` varchar(36) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `target_tenant` (`target_tenant`,`object_id`,`action`),
  KEY `object_id` (`object_id`),
  KEY `ix_qospolicyrbacs_project_id` (`project_id`),
  CONSTRAINT `qospolicyrbacs_ibfk_1` FOREIGN KEY (`object_id`) REFERENCES `qos_policies` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qosqueues` (
  `tenant_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `default` tinyint(1) DEFAULT 0,
  `min` int(11) NOT NULL,
  `max` int(11) DEFAULT NULL,
  `qos_marking` enum('untrusted','trusted') DEFAULT NULL,
  `dscp` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_qosqueues_tenant_id` (`tenant_id`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`default` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quotas` (
  `id` varchar(36) NOT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `resource` varchar(255) DEFAULT NULL,
  `limit` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_quotas_project_id` (`project_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quotausages` (
  `project_id` varchar(255) NOT NULL,
  `resource` varchar(255) NOT NULL,
  `dirty` tinyint(1) NOT NULL DEFAULT 0,
  `in_use` int(11) NOT NULL DEFAULT 0,
  `reserved` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`project_id`,`resource`),
  KEY `ix_quotausages_resource` (`resource`),
  KEY `ix_quotausages_project_id` (`project_id`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`dirty` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `reservations` (
  `id` varchar(36) NOT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `expiration` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `resourcedeltas` (
  `resource` varchar(255) NOT NULL,
  `reservation_id` varchar(36) NOT NULL,
  `amount` int(11) DEFAULT NULL,
  PRIMARY KEY (`resource`,`reservation_id`),
  KEY `reservation_id` (`reservation_id`),
  CONSTRAINT `resourcedeltas_ibfk_1` FOREIGN KEY (`reservation_id`) REFERENCES `reservations` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `router_extra_attributes` (
  `router_id` varchar(36) NOT NULL,
  `distributed` tinyint(1) NOT NULL DEFAULT 0,
  `service_router` tinyint(1) NOT NULL DEFAULT 0,
  `ha` tinyint(1) NOT NULL DEFAULT 0,
  `ha_vr_id` int(11) DEFAULT NULL,
  `availability_zone_hints` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`router_id`),
  CONSTRAINT `router_extra_attributes_ibfk_1` FOREIGN KEY (`router_id`) REFERENCES `routers` (`id`) ON DELETE CASCADE,
  CONSTRAINT `CONSTRAINT_1` CHECK (`distributed` in (0,1)),
  CONSTRAINT `CONSTRAINT_2` CHECK (`service_router` in (0,1)),
  CONSTRAINT `CONSTRAINT_3` CHECK (`ha` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `routerl3agentbindings` (
  `router_id` varchar(36) NOT NULL,
  `l3_agent_id` varchar(36) NOT NULL,
  `binding_index` int(11) NOT NULL DEFAULT 1,
  PRIMARY KEY (`router_id`,`l3_agent_id`),
  UNIQUE KEY `uniq_router_l3_agent_binding0router_id0binding_index0` (`router_id`,`binding_index`),
  KEY `l3_agent_id` (`l3_agent_id`),
  CONSTRAINT `routerl3agentbindings_ibfk_1` FOREIGN KEY (`l3_agent_id`) REFERENCES `agents` (`id`) ON DELETE CASCADE,
  CONSTRAINT `routerl3agentbindings_ibfk_2` FOREIGN KEY (`router_id`) REFERENCES `routers` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `routerports` (
  `router_id` varchar(36) NOT NULL,
  `port_id` varchar(36) NOT NULL,
  `port_type` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`router_id`,`port_id`),
  UNIQUE KEY `uniq_routerports0port_id` (`port_id`),
  CONSTRAINT `routerports_ibfk_1` FOREIGN KEY (`router_id`) REFERENCES `routers` (`id`) ON DELETE CASCADE,
  CONSTRAINT `routerports_ibfk_2` FOREIGN KEY (`port_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `routerroutes` (
  `destination` varchar(64) NOT NULL,
  `nexthop` varchar(64) NOT NULL,
  `router_id` varchar(36) NOT NULL,
  PRIMARY KEY (`destination`,`nexthop`,`router_id`),
  KEY `router_id` (`router_id`),
  CONSTRAINT `routerroutes_ibfk_1` FOREIGN KEY (`router_id`) REFERENCES `routers` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `routerrules` (
  `id` int(11) NOT NULL,
  `source` varchar(64) NOT NULL,
  `destination` varchar(64) NOT NULL,
  `action` varchar(10) NOT NULL,
  `router_id` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `router_id` (`router_id`),
  CONSTRAINT `routerrules_ibfk_1` FOREIGN KEY (`router_id`) REFERENCES `routers` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `routers` (
  `project_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `status` varchar(16) DEFAULT NULL,
  `admin_state_up` tinyint(1) DEFAULT NULL,
  `gw_port_id` varchar(36) DEFAULT NULL,
  `enable_snat` tinyint(1) NOT NULL DEFAULT 1,
  `standard_attr_id` bigint(20) NOT NULL,
  `flavor_id` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_routers0standard_attr_id` (`standard_attr_id`),
  KEY `gw_port_id` (`gw_port_id`),
  KEY `flavor_id` (`flavor_id`),
  KEY `ix_routers_project_id` (`project_id`),
  CONSTRAINT `routers_ibfk_1` FOREIGN KEY (`gw_port_id`) REFERENCES `ports` (`id`),
  CONSTRAINT `routers_ibfk_2` FOREIGN KEY (`standard_attr_id`) REFERENCES `standardattributes` (`id`) ON DELETE CASCADE,
  CONSTRAINT `routers_ibfk_3` FOREIGN KEY (`flavor_id`) REFERENCES `flavors` (`id`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`admin_state_up` in (0,1)),
  CONSTRAINT `CONSTRAINT_2` CHECK (`enable_snat` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `securitygroupportbindings` (
  `port_id` varchar(36) NOT NULL,
  `security_group_id` varchar(36) NOT NULL,
  PRIMARY KEY (`port_id`,`security_group_id`),
  KEY `security_group_id` (`security_group_id`),
  CONSTRAINT `securitygroupportbindings_ibfk_1` FOREIGN KEY (`port_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE,
  CONSTRAINT `securitygroupportbindings_ibfk_2` FOREIGN KEY (`security_group_id`) REFERENCES `securitygroups` (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `securitygrouprbacs` (
  `project_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `target_tenant` varchar(255) NOT NULL,
  `action` varchar(255) NOT NULL,
  `object_id` varchar(36) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_securitygrouprbacs0target_tenant0object_id0action` (`target_tenant`,`object_id`,`action`),
  KEY `object_id` (`object_id`),
  KEY `ix_securitygrouprbacs_project_id` (`project_id`),
  CONSTRAINT `securitygrouprbacs_ibfk_1` FOREIGN KEY (`object_id`) REFERENCES `securitygroups` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `securitygrouprules` (
  `project_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `security_group_id` varchar(36) NOT NULL,
  `remote_group_id` varchar(36) DEFAULT NULL,
  `direction` enum('ingress','egress') DEFAULT NULL,
  `ethertype` varchar(40) DEFAULT NULL,
  `protocol` varchar(40) DEFAULT NULL,
  `port_range_min` int(11) DEFAULT NULL,
  `port_range_max` int(11) DEFAULT NULL,
  `remote_ip_prefix` varchar(255) DEFAULT NULL,
  `standard_attr_id` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_securitygrouprules0standard_attr_id` (`standard_attr_id`),
  KEY `security_group_id` (`security_group_id`),
  KEY `remote_group_id` (`remote_group_id`),
  KEY `ix_securitygrouprules_project_id` (`project_id`),
  CONSTRAINT `securitygrouprules_ibfk_1` FOREIGN KEY (`security_group_id`) REFERENCES `securitygroups` (`id`) ON DELETE CASCADE,
  CONSTRAINT `securitygrouprules_ibfk_2` FOREIGN KEY (`remote_group_id`) REFERENCES `securitygroups` (`id`) ON DELETE CASCADE,
  CONSTRAINT `securitygrouprules_ibfk_3` FOREIGN KEY (`standard_attr_id`) REFERENCES `standardattributes` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `securitygroups` (
  `project_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `standard_attr_id` bigint(20) NOT NULL,
  `stateful` tinyint(1) NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_securitygroups0standard_attr_id` (`standard_attr_id`),
  KEY `ix_securitygroups_project_id` (`project_id`),
  CONSTRAINT `securitygroups_ibfk_1` FOREIGN KEY (`standard_attr_id`) REFERENCES `standardattributes` (`id`) ON DELETE CASCADE,
  CONSTRAINT `CONSTRAINT_1` CHECK (`stateful` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `segmenthostmappings` (
  `segment_id` varchar(36) NOT NULL,
  `host` varchar(255) NOT NULL,
  PRIMARY KEY (`segment_id`,`host`),
  KEY `ix_segmenthostmappings_host` (`host`),
  KEY `ix_segmenthostmappings_segment_id` (`segment_id`),
  CONSTRAINT `segmenthostmappings_ibfk_1` FOREIGN KEY (`segment_id`) REFERENCES `networksegments` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `serviceprofiles` (
  `id` varchar(36) NOT NULL,
  `description` varchar(1024) DEFAULT NULL,
  `driver` varchar(1024) NOT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT 1,
  `metainfo` varchar(4096) DEFAULT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`enabled` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sessionpersistences` (
  `vip_id` varchar(36) NOT NULL,
  `type` enum('SOURCE_IP','HTTP_COOKIE','APP_COOKIE') NOT NULL,
  `cookie_name` varchar(1024) DEFAULT NULL,
  PRIMARY KEY (`vip_id`),
  CONSTRAINT `sessionpersistences_ibfk_1` FOREIGN KEY (`vip_id`) REFERENCES `vips` (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sfc_chain_classifier_associations` (
  `flowclassifier_id` varchar(36) NOT NULL,
  `portchain_id` varchar(36) NOT NULL,
  PRIMARY KEY (`flowclassifier_id`,`portchain_id`),
  UNIQUE KEY `flowclassifier_id` (`flowclassifier_id`),
  KEY `sfc_chain_classifier_associations_ibfk_2` (`portchain_id`),
  CONSTRAINT `sfc_chain_classifier_associations_ibfk_1` FOREIGN KEY (`flowclassifier_id`) REFERENCES `sfc_flow_classifiers` (`id`),
  CONSTRAINT `sfc_chain_classifier_associations_ibfk_2` FOREIGN KEY (`portchain_id`) REFERENCES `sfc_port_chains` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sfc_chain_group_associations` (
  `portpairgroup_id` varchar(36) NOT NULL,
  `portchain_id` varchar(36) NOT NULL,
  `position` int(11) DEFAULT NULL,
  PRIMARY KEY (`portpairgroup_id`,`portchain_id`),
  KEY `sfc_chain_group_associations_ibfk_1` (`portchain_id`),
  CONSTRAINT `sfc_chain_group_associations_ibfk_1` FOREIGN KEY (`portchain_id`) REFERENCES `sfc_port_chains` (`id`) ON DELETE CASCADE,
  CONSTRAINT `sfc_chain_group_associations_ibfk_2` FOREIGN KEY (`portpairgroup_id`) REFERENCES `sfc_port_pair_groups` (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sfc_flow_classifier_l7_parameters` (
  `keyword` varchar(255) NOT NULL,
  `value` varchar(255) DEFAULT NULL,
  `classifier_id` varchar(36) NOT NULL,
  PRIMARY KEY (`keyword`,`classifier_id`),
  KEY `sfc_flow_classifier_l7_parameters_ibfk_1` (`classifier_id`),
  CONSTRAINT `sfc_flow_classifier_l7_parameters_ibfk_1` FOREIGN KEY (`classifier_id`) REFERENCES `sfc_flow_classifiers` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sfc_flow_classifiers` (
  `project_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `ethertype` varchar(40) DEFAULT NULL,
  `protocol` varchar(40) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `source_port_range_min` int(11) DEFAULT NULL,
  `source_port_range_max` int(11) DEFAULT NULL,
  `destination_port_range_min` int(11) DEFAULT NULL,
  `destination_port_range_max` int(11) DEFAULT NULL,
  `source_ip_prefix` varchar(255) DEFAULT NULL,
  `destination_ip_prefix` varchar(255) DEFAULT NULL,
  `logical_source_port` varchar(36) DEFAULT NULL,
  `logical_destination_port` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `logical_source_port` (`logical_source_port`),
  KEY `logical_destination_port` (`logical_destination_port`),
  KEY `ix_sfc_flow_classifiers_project_id` (`project_id`),
  CONSTRAINT `sfc_flow_classifiers_ibfk_1` FOREIGN KEY (`logical_source_port`) REFERENCES `ports` (`id`),
  CONSTRAINT `sfc_flow_classifiers_ibfk_2` FOREIGN KEY (`logical_destination_port`) REFERENCES `ports` (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sfc_path_nodes` (
  `project_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `nsp` int(11) NOT NULL,
  `nsi` int(11) NOT NULL,
  `node_type` varchar(32) DEFAULT NULL,
  `portchain_id` varchar(255) DEFAULT NULL,
  `status` varchar(32) DEFAULT NULL,
  `next_group_id` int(11) DEFAULT NULL,
  `next_hop` varchar(512) DEFAULT NULL,
  `fwd_path` tinyint(1) NOT NULL,
  `ppg_n_tuple_mapping` varchar(1024) DEFAULT NULL,
  `tap_enabled` tinyint(1) NOT NULL DEFAULT 0,
  `previous_node_id` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `portchain_id` (`portchain_id`),
  KEY `node_fk` (`previous_node_id`),
  KEY `ix_sfc_path_nodes_project_id` (`project_id`),
  CONSTRAINT `node_fk` FOREIGN KEY (`previous_node_id`) REFERENCES `sfc_path_nodes` (`id`) ON DELETE SET NULL,
  CONSTRAINT `sfc_path_nodes_ibfk_1` FOREIGN KEY (`portchain_id`) REFERENCES `sfc_port_chains` (`id`) ON DELETE CASCADE,
  CONSTRAINT `CONSTRAINT_1` CHECK (`fwd_path` in (0,1)),
  CONSTRAINT `CONSTRAINT_2` CHECK (`tap_enabled` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sfc_path_port_associations` (
  `pathnode_id` varchar(36) NOT NULL,
  `portpair_id` varchar(36) NOT NULL,
  `weight` int(11) NOT NULL,
  PRIMARY KEY (`pathnode_id`,`portpair_id`),
  KEY `portpair_id` (`portpair_id`),
  CONSTRAINT `sfc_path_port_associations_ibfk_1` FOREIGN KEY (`pathnode_id`) REFERENCES `sfc_path_nodes` (`id`) ON DELETE CASCADE,
  CONSTRAINT `sfc_path_port_associations_ibfk_2` FOREIGN KEY (`portpair_id`) REFERENCES `sfc_portpair_details` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sfc_port_chain_parameters` (
  `keyword` varchar(255) NOT NULL,
  `value` varchar(255) DEFAULT NULL,
  `chain_id` varchar(36) NOT NULL,
  PRIMARY KEY (`keyword`,`chain_id`),
  KEY `sfc_port_chain_parameters_ibfk_1` (`chain_id`),
  CONSTRAINT `sfc_port_chain_parameters_ibfk_1` FOREIGN KEY (`chain_id`) REFERENCES `sfc_port_chains` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sfc_port_chains` (
  `project_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `chain_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `chain_id` (`chain_id`),
  KEY `ix_sfc_port_chains_project_id` (`project_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sfc_port_pair_group_params` (
  `keyword` varchar(255) NOT NULL,
  `value` varchar(1024) DEFAULT NULL,
  `pair_group_id` varchar(36) NOT NULL,
  PRIMARY KEY (`keyword`,`pair_group_id`),
  KEY `pair_group_id` (`pair_group_id`),
  CONSTRAINT `sfc_port_pair_group_params_ibfk_1` FOREIGN KEY (`pair_group_id`) REFERENCES `sfc_port_pair_groups` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sfc_port_pair_groups` (
  `id` varchar(36) NOT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `group_id` int(11) NOT NULL,
  `tap_enabled` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  UNIQUE KEY `group_id` (`group_id`),
  KEY `ix_sfc_port_pair_groups_project_id` (`project_id`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`tap_enabled` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sfc_port_pairs` (
  `project_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `ingress` varchar(36) NOT NULL,
  `egress` varchar(36) NOT NULL,
  `portpairgroup_id` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_sfc_port_pairs0ingress0egress` (`ingress`,`egress`),
  KEY `egress` (`egress`),
  KEY `portpairgroup_id` (`portpairgroup_id`),
  KEY `ix_sfc_port_pairs_project_id` (`project_id`),
  CONSTRAINT `sfc_port_pairs_ibfk_1` FOREIGN KEY (`egress`) REFERENCES `ports` (`id`),
  CONSTRAINT `sfc_port_pairs_ibfk_2` FOREIGN KEY (`ingress`) REFERENCES `ports` (`id`),
  CONSTRAINT `sfc_port_pairs_ibfk_3` FOREIGN KEY (`portpairgroup_id`) REFERENCES `sfc_port_pair_groups` (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sfc_portpair_details` (
  `project_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `ingress` varchar(36) DEFAULT NULL,
  `egress` varchar(36) DEFAULT NULL,
  `host_id` varchar(255) NOT NULL,
  `mac_address` varchar(32) NOT NULL,
  `network_type` varchar(8) DEFAULT NULL,
  `segment_id` int(11) DEFAULT NULL,
  `local_endpoint` varchar(64) NOT NULL,
  `in_mac_address` varchar(32) DEFAULT NULL,
  `correlation` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_sfc_portpair_details_project_id` (`project_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sfc_service_function_params` (
  `keyword` varchar(255) NOT NULL,
  `value` varchar(255) DEFAULT NULL,
  `pair_id` varchar(36) NOT NULL,
  PRIMARY KEY (`keyword`,`pair_id`),
  KEY `sfc_service_function_params_ibfk_1` (`pair_id`),
  CONSTRAINT `sfc_service_function_params_ibfk_1` FOREIGN KEY (`pair_id`) REFERENCES `sfc_port_pairs` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sfc_service_graph_chain_associations` (
  `service_graph_id` varchar(36) NOT NULL,
  `src_chain` varchar(36) NOT NULL,
  `dst_chain` varchar(36) NOT NULL,
  PRIMARY KEY (`service_graph_id`,`src_chain`,`dst_chain`),
  KEY `dst_chain` (`dst_chain`),
  KEY `src_chain` (`src_chain`),
  CONSTRAINT `sfc_service_graph_chain_associations_ibfk_1` FOREIGN KEY (`dst_chain`) REFERENCES `sfc_port_chains` (`id`),
  CONSTRAINT `sfc_service_graph_chain_associations_ibfk_2` FOREIGN KEY (`service_graph_id`) REFERENCES `sfc_service_graphs` (`id`) ON DELETE CASCADE,
  CONSTRAINT `sfc_service_graph_chain_associations_ibfk_3` FOREIGN KEY (`src_chain`) REFERENCES `sfc_port_chains` (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sfc_service_graphs` (
  `project_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ix_sfc_service_graphs_project_id` (`project_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sfc_uuid_intid_associations` (
  `id` varchar(36) NOT NULL,
  `uuid` varchar(36) NOT NULL,
  `intid` int(11) NOT NULL,
  `type_` varchar(32) NOT NULL,
  PRIMARY KEY (`id`,`uuid`),
  UNIQUE KEY `intid` (`intid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `standardattributes` (
  `id` bigint(20) NOT NULL,
  `resource_type` varchar(255) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `revision_number` bigint(20) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `subnet_dns_publish_fixed_ips` (
  `subnet_id` varchar(36) NOT NULL,
  `dns_publish_fixed_ip` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`subnet_id`),
  KEY `ix_subnet_dns_publish_fixed_ips_subnet_id` (`subnet_id`),
  CONSTRAINT `subnet_dns_publish_fixed_ips_ibfk_1` FOREIGN KEY (`subnet_id`) REFERENCES `subnets` (`id`) ON DELETE CASCADE,
  CONSTRAINT `CONSTRAINT_1` CHECK (`dns_publish_fixed_ip` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `subnet_service_types` (
  `subnet_id` varchar(36) NOT NULL,
  `service_type` varchar(255) NOT NULL,
  PRIMARY KEY (`subnet_id`,`service_type`),
  CONSTRAINT `subnet_service_types_ibfk_1` FOREIGN KEY (`subnet_id`) REFERENCES `subnets` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `subnetpoolprefixes` (
  `cidr` varchar(64) NOT NULL,
  `subnetpool_id` varchar(36) NOT NULL,
  PRIMARY KEY (`cidr`,`subnetpool_id`),
  KEY `subnetpool_id` (`subnetpool_id`),
  CONSTRAINT `subnetpoolprefixes_ibfk_1` FOREIGN KEY (`subnetpool_id`) REFERENCES `subnetpools` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `subnetpoolrbacs` (
  `project_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `target_tenant` varchar(255) NOT NULL,
  `action` varchar(255) NOT NULL,
  `object_id` varchar(36) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_subnetpools_rbacs0target_tenant0object_id0action` (`target_tenant`,`object_id`,`action`),
  KEY `object_id` (`object_id`),
  KEY `ix_subnetpoolrbacs_project_id` (`project_id`),
  CONSTRAINT `subnetpoolrbacs_ibfk_1` FOREIGN KEY (`object_id`) REFERENCES `subnetpools` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `subnetpools` (
  `project_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `ip_version` int(11) NOT NULL,
  `default_prefixlen` int(11) NOT NULL,
  `min_prefixlen` int(11) NOT NULL,
  `max_prefixlen` int(11) NOT NULL,
  `shared` tinyint(1) NOT NULL DEFAULT 0,
  `default_quota` int(11) DEFAULT NULL,
  `hash` varchar(36) NOT NULL DEFAULT '',
  `address_scope_id` varchar(36) DEFAULT NULL,
  `is_default` tinyint(1) NOT NULL DEFAULT 0,
  `standard_attr_id` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_subnetpools0standard_attr_id` (`standard_attr_id`),
  KEY `ix_subnetpools_project_id` (`project_id`),
  CONSTRAINT `subnetpools_ibfk_1` FOREIGN KEY (`standard_attr_id`) REFERENCES `standardattributes` (`id`) ON DELETE CASCADE,
  CONSTRAINT `CONSTRAINT_1` CHECK (`shared` in (0,1)),
  CONSTRAINT `CONSTRAINT_2` CHECK (`is_default` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `subnetroutes` (
  `destination` varchar(64) NOT NULL,
  `nexthop` varchar(64) NOT NULL,
  `subnet_id` varchar(36) NOT NULL,
  PRIMARY KEY (`destination`,`nexthop`,`subnet_id`),
  KEY `subnet_id` (`subnet_id`),
  CONSTRAINT `subnetroutes_ibfk_1` FOREIGN KEY (`subnet_id`) REFERENCES `subnets` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `subnets` (
  `project_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `network_id` varchar(36) NOT NULL,
  `ip_version` int(11) NOT NULL,
  `cidr` varchar(64) NOT NULL,
  `gateway_ip` varchar(64) DEFAULT NULL,
  `enable_dhcp` tinyint(1) DEFAULT NULL,
  `ipv6_ra_mode` enum('slaac','dhcpv6-stateful','dhcpv6-stateless') DEFAULT NULL,
  `ipv6_address_mode` enum('slaac','dhcpv6-stateful','dhcpv6-stateless') DEFAULT NULL,
  `subnetpool_id` varchar(36) DEFAULT NULL,
  `standard_attr_id` bigint(20) NOT NULL,
  `segment_id` varchar(36) DEFAULT NULL,
  `in_use` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_subnets0standard_attr_id` (`standard_attr_id`),
  KEY `network_id` (`network_id`),
  KEY `ix_subnets_subnetpool_id` (`subnetpool_id`),
  KEY `segment_id` (`segment_id`),
  KEY `ix_subnets_project_id` (`project_id`),
  CONSTRAINT `subnets_ibfk_1` FOREIGN KEY (`network_id`) REFERENCES `networks` (`id`),
  CONSTRAINT `subnets_ibfk_2` FOREIGN KEY (`standard_attr_id`) REFERENCES `standardattributes` (`id`) ON DELETE CASCADE,
  CONSTRAINT `subnets_ibfk_3` FOREIGN KEY (`segment_id`) REFERENCES `networksegments` (`id`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`enable_dhcp` in (0,1)),
  CONSTRAINT `CONSTRAINT_2` CHECK (`in_use` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `subports` (
  `port_id` varchar(36) NOT NULL,
  `trunk_id` varchar(36) NOT NULL,
  `segmentation_type` varchar(32) NOT NULL,
  `segmentation_id` int(11) NOT NULL,
  PRIMARY KEY (`port_id`),
  UNIQUE KEY `uniq_subport0trunk_id0segmentation_type0segmentation_id` (`trunk_id`,`segmentation_type`,`segmentation_id`),
  CONSTRAINT `subports_ibfk_1` FOREIGN KEY (`port_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE,
  CONSTRAINT `subports_ibfk_2` FOREIGN KEY (`trunk_id`) REFERENCES `trunks` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tags` (
  `standard_attr_id` bigint(20) NOT NULL,
  `tag` varchar(60) NOT NULL,
  PRIMARY KEY (`standard_attr_id`,`tag`),
  CONSTRAINT `tags_ibfk_1` FOREIGN KEY (`standard_attr_id`) REFERENCES `standardattributes` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `trunks` (
  `admin_state_up` tinyint(1) NOT NULL DEFAULT 1,
  `project_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `port_id` varchar(36) NOT NULL,
  `status` varchar(16) NOT NULL DEFAULT 'ACTIVE',
  `standard_attr_id` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `port_id` (`port_id`),
  UNIQUE KEY `standard_attr_id` (`standard_attr_id`),
  KEY `ix_trunks_project_id` (`project_id`),
  CONSTRAINT `trunks_ibfk_1` FOREIGN KEY (`port_id`) REFERENCES `ports` (`id`) ON DELETE CASCADE,
  CONSTRAINT `trunks_ibfk_2` FOREIGN KEY (`standard_attr_id`) REFERENCES `standardattributes` (`id`) ON DELETE CASCADE,
  CONSTRAINT `CONSTRAINT_1` CHECK (`admin_state_up` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tz_network_bindings` (
  `network_id` varchar(36) NOT NULL,
  `binding_type` enum('flat','vlan','stt','gre','l3_ext') NOT NULL,
  `phy_uuid` varchar(36) NOT NULL,
  `vlan_id` int(11) NOT NULL,
  PRIMARY KEY (`network_id`,`binding_type`,`phy_uuid`,`vlan_id`),
  CONSTRAINT `tz_network_bindings_ibfk_1` FOREIGN KEY (`network_id`) REFERENCES `networks` (`id`) ON DELETE CASCADE
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vcns_router_bindings` (
  `status` varchar(16) NOT NULL,
  `status_description` varchar(255) DEFAULT NULL,
  `router_id` varchar(36) NOT NULL,
  `edge_id` varchar(16) DEFAULT NULL,
  `lswitch_id` varchar(36) NOT NULL,
  PRIMARY KEY (`router_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vips` (
  `tenant_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `status` varchar(16) NOT NULL,
  `status_description` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `port_id` varchar(36) DEFAULT NULL,
  `protocol_port` int(11) NOT NULL,
  `protocol` enum('HTTP','HTTPS','TCP') NOT NULL,
  `pool_id` varchar(36) NOT NULL,
  `admin_state_up` tinyint(1) NOT NULL,
  `connection_limit` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `pool_id` (`pool_id`),
  KEY `port_id` (`port_id`),
  CONSTRAINT `vips_ibfk_1` FOREIGN KEY (`port_id`) REFERENCES `ports` (`id`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`admin_state_up` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vpnservices` (
  `tenant_id` varchar(255) DEFAULT NULL,
  `id` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `status` varchar(16) NOT NULL,
  `admin_state_up` tinyint(1) NOT NULL,
  `subnet_id` varchar(36) NOT NULL,
  `router_id` varchar(36) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `subnet_id` (`subnet_id`),
  KEY `router_id` (`router_id`),
  CONSTRAINT `vpnservices_ibfk_1` FOREIGN KEY (`subnet_id`) REFERENCES `subnets` (`id`),
  CONSTRAINT `vpnservices_ibfk_2` FOREIGN KEY (`router_id`) REFERENCES `routers` (`id`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`admin_state_up` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

