/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `aggregate_hosts` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `host` varchar(255) DEFAULT NULL,
  `aggregate_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_aggregate_hosts0host0aggregate_id` (`host`,`aggregate_id`),
  KEY `aggregate_id` (`aggregate_id`),
  CONSTRAINT `aggregate_hosts_ibfk_1` FOREIGN KEY (`aggregate_id`) REFERENCES `aggregates` (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `aggregate_metadata` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `aggregate_id` int(11) NOT NULL,
  `key` varchar(255) NOT NULL,
  `value` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_aggregate_metadata0aggregate_id0key` (`aggregate_id`,`key`),
  KEY `aggregate_metadata_key_idx` (`key`),
  CONSTRAINT `aggregate_metadata_ibfk_1` FOREIGN KEY (`aggregate_id`) REFERENCES `aggregates` (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `aggregates` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `uuid` varchar(36) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_aggregate0name` (`name`),
  KEY `aggregate_uuid_idx` (`uuid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `allocations` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `resource_provider_id` int(11) NOT NULL,
  `consumer_id` varchar(36) NOT NULL,
  `resource_class_id` int(11) NOT NULL,
  `used` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `allocations_resource_provider_class_used_idx` (`resource_provider_id`,`resource_class_id`,`used`),
  KEY `allocations_consumer_id_idx` (`consumer_id`),
  KEY `allocations_resource_class_id_idx` (`resource_class_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `build_requests` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `request_spec_id` int(11) DEFAULT NULL,
  `project_id` varchar(255) NOT NULL,
  `user_id` varchar(255) DEFAULT NULL,
  `display_name` varchar(255) DEFAULT NULL,
  `instance_metadata` text DEFAULT NULL,
  `progress` int(11) DEFAULT NULL,
  `vm_state` varchar(255) DEFAULT NULL,
  `task_state` varchar(255) DEFAULT NULL,
  `image_ref` varchar(255) DEFAULT NULL,
  `access_ip_v4` varchar(39) DEFAULT NULL,
  `access_ip_v6` varchar(39) DEFAULT NULL,
  `info_cache` text DEFAULT NULL,
  `security_groups` text DEFAULT NULL,
  `config_drive` tinyint(1) DEFAULT NULL,
  `key_name` varchar(255) DEFAULT NULL,
  `locked_by` enum('owner','admin') DEFAULT NULL,
  `instance_uuid` varchar(36) DEFAULT NULL,
  `instance` mediumtext DEFAULT NULL,
  `block_device_mappings` mediumtext DEFAULT NULL,
  `tags` text DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_build_requests0instance_uuid` (`instance_uuid`),
  KEY `build_requests_project_id_idx` (`project_id`),
  KEY `build_requests_instance_uuid_idx` (`instance_uuid`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`config_drive` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cell_mappings` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `uuid` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `transport_url` text DEFAULT NULL,
  `database_connection` text DEFAULT NULL,
  `disabled` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_cell_mappings0uuid` (`uuid`),
  KEY `uuid_idx` (`uuid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

INSERT INTO `cell_mappings` VALUES ('2021-03-03 09:54:34',NULL,2,'00000000-0000-0000-0000-000000000000','cell0','none:///','mysql+pymysql://nova:oYpx7yZz!+YDSLjS@mariadb.openstack.svc.cluster.local:3306/nova_cell0',0);
INSERT INTO `cell_mappings` VALUES ('2021-03-03 09:54:40',NULL,4,'4a8926b7-bc42-4fec-8767-724a7fdc82b7','cell1','rabbit://nova-rabbitmq-user:p3XykukpZ6_+QVex@osh-openstack-rabbitmq-rabbitmq-0.rabbitmq.openstack.svc.cluster.local:5672,nova-rabbitmq-user:p3XykukpZ6_+QVex@osh-openstack-rabbitmq-rabbitmq-1.rabbitmq.openstack.svc.cluster.local:5672/nova','mysql+pymysql://nova:oYpx7yZz!+YDSLjS@mariadb.openstack.svc.cluster.local:3306/nova',0);
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `consumers` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `uuid` varchar(36) NOT NULL,
  `project_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `generation` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_consumers0uuid` (`uuid`),
  KEY `consumers_project_id_uuid_idx` (`project_id`,`uuid`),
  KEY `consumers_project_id_user_id_uuid_idx` (`project_id`,`user_id`,`uuid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `flavor_extra_specs` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `flavor_id` int(11) NOT NULL,
  `key` varchar(255) NOT NULL,
  `value` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_flavor_extra_specs0flavor_id0key` (`flavor_id`,`key`),
  KEY `flavor_extra_specs_flavor_id_key_idx` (`flavor_id`,`key`),
  CONSTRAINT `flavor_extra_specs_ibfk_1` FOREIGN KEY (`flavor_id`) REFERENCES `flavors` (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `flavor_projects` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `flavor_id` int(11) NOT NULL,
  `project_id` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_flavor_projects0flavor_id0project_id` (`flavor_id`,`project_id`),
  CONSTRAINT `flavor_projects_ibfk_1` FOREIGN KEY (`flavor_id`) REFERENCES `flavors` (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `flavors` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `name` varchar(255) NOT NULL,
  `id` int(11) NOT NULL,
  `memory_mb` int(11) NOT NULL,
  `vcpus` int(11) NOT NULL,
  `swap` int(11) NOT NULL,
  `vcpu_weight` int(11) DEFAULT NULL,
  `flavorid` varchar(255) NOT NULL,
  `rxtx_factor` float DEFAULT NULL,
  `root_gb` int(11) DEFAULT NULL,
  `ephemeral_gb` int(11) DEFAULT NULL,
  `disabled` tinyint(1) DEFAULT NULL,
  `is_public` tinyint(1) DEFAULT NULL,
  `description` text DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_flavors0flavorid` (`flavorid`),
  UNIQUE KEY `uniq_flavors0name` (`name`),
  CONSTRAINT `CONSTRAINT_1` CHECK (`disabled` in (0,1)),
  CONSTRAINT `CONSTRAINT_2` CHECK (`is_public` in (0,1))
);
/*!40101 SET character_set_client = @saved_cs_client */;

INSERT INTO `flavors` VALUES ('2021-03-03 09:56:07',NULL,'m1.large',2,8192,4,0,NULL,'9aa94fdf-6f7d-409c-be77-020c98a0818b',1,80,0,0,1,NULL);
INSERT INTO `flavors` VALUES ('2021-03-03 09:56:16',NULL,'m1.medium',4,4096,2,0,NULL,'ccdcb2c3-5dc0-4c2a-97eb-4a12aa31b54e',1,40,0,0,1,NULL);
INSERT INTO `flavors` VALUES ('2021-03-03 09:56:21',NULL,'m1.small',6,2048,1,0,NULL,'d409b102-b4d6-48fd-a846-ba6e6d7106d0',1,20,0,0,1,NULL);
INSERT INTO `flavors` VALUES ('2021-03-03 09:56:25',NULL,'m1.tiny',8,512,1,0,NULL,'fef67370-39a4-45d5-a42b-e6aa78f9dee0',1,1,0,0,1,NULL);
INSERT INTO `flavors` VALUES ('2021-03-03 09:56:29',NULL,'m1.xlarge',10,16384,8,0,NULL,'cb34cb42-4f44-4c46-90d0-425068da1e24',1,160,0,0,1,NULL);
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `host_mappings` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `cell_id` int(11) NOT NULL,
  `host` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_host_mappings0host` (`host`),
  KEY `cell_id` (`cell_id`),
  KEY `host_idx` (`host`),
  CONSTRAINT `host_mappings_ibfk_1` FOREIGN KEY (`cell_id`) REFERENCES `cell_mappings` (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

INSERT INTO `host_mappings` VALUES ('2021-03-03 09:56:34',NULL,2,4,'controller-0');
INSERT INTO `host_mappings` VALUES ('2021-03-03 09:56:34',NULL,4,4,'controller-1');
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `instance_group_member` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `instance_uuid` varchar(255) DEFAULT NULL,
  `group_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `group_id` (`group_id`),
  KEY `instance_group_member_instance_idx` (`instance_uuid`),
  CONSTRAINT `instance_group_member_ibfk_1` FOREIGN KEY (`group_id`) REFERENCES `instance_groups` (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `instance_group_policy` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `policy` varchar(255) DEFAULT NULL,
  `group_id` int(11) NOT NULL,
  `rules` text DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `group_id` (`group_id`),
  KEY `instance_group_policy_policy_idx` (`policy`),
  CONSTRAINT `instance_group_policy_ibfk_1` FOREIGN KEY (`group_id`) REFERENCES `instance_groups` (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `instance_groups` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `user_id` varchar(255) DEFAULT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `uuid` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_instance_groups0uuid` (`uuid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `instance_mappings` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `instance_uuid` varchar(36) NOT NULL,
  `cell_id` int(11) DEFAULT NULL,
  `project_id` varchar(255) NOT NULL,
  `queued_for_delete` tinyint(1) DEFAULT NULL,
  `user_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_instance_mappings0instance_uuid` (`instance_uuid`),
  KEY `cell_id` (`cell_id`),
  KEY `project_id_idx` (`project_id`),
  KEY `instance_uuid_idx` (`instance_uuid`),
  KEY `instance_mappings_user_id_project_id_idx` (`user_id`,`project_id`),
  CONSTRAINT `instance_mappings_ibfk_1` FOREIGN KEY (`cell_id`) REFERENCES `cell_mappings` (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `inventories` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `resource_provider_id` int(11) NOT NULL,
  `resource_class_id` int(11) NOT NULL,
  `total` int(11) NOT NULL,
  `reserved` int(11) NOT NULL,
  `min_unit` int(11) NOT NULL,
  `max_unit` int(11) NOT NULL,
  `step_size` int(11) NOT NULL,
  `allocation_ratio` float NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_inventories0resource_provider_resource_class` (`resource_provider_id`,`resource_class_id`),
  KEY `inventories_resource_provider_resource_class_idx` (`resource_provider_id`,`resource_class_id`),
  KEY `inventories_resource_provider_id_idx` (`resource_provider_id`),
  KEY `inventories_resource_class_id_idx` (`resource_class_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `key_pairs` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `user_id` varchar(255) NOT NULL,
  `fingerprint` varchar(255) DEFAULT NULL,
  `public_key` text DEFAULT NULL,
  `type` enum('ssh','x509') NOT NULL DEFAULT 'ssh',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_key_pairs0user_id0name` (`user_id`,`name`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `migrate_version` (
  `repository_id` varchar(250) NOT NULL,
  `repository_path` text DEFAULT NULL,
  `version` int(11) DEFAULT NULL,
  PRIMARY KEY (`repository_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

INSERT INTO `migrate_version` VALUES ('nova_api','/var/lib/openstack/lib/python3.6/site-packages/nova/db/sqlalchemy/api_migrations/migrate_repo',72);
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `placement_aggregates` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `uuid` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_placement_aggregates0uuid` (`uuid`),
  KEY `ix_placement_aggregates_uuid` (`uuid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `project_user_quotas` (
  `id` int(11) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `user_id` varchar(255) NOT NULL,
  `project_id` varchar(255) NOT NULL,
  `resource` varchar(255) NOT NULL,
  `hard_limit` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_project_user_quotas0user_id0project_id0resource` (`user_id`,`project_id`,`resource`),
  KEY `project_user_quotas_project_id_idx` (`project_id`),
  KEY `project_user_quotas_user_id_idx` (`user_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `projects` (
  `id` int(11) NOT NULL,
  `external_id` varchar(255) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_projects0external_id` (`external_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quota_classes` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `class_name` varchar(255) DEFAULT NULL,
  `resource` varchar(255) DEFAULT NULL,
  `hard_limit` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `quota_classes_class_name_idx` (`class_name`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quota_usages` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `resource` varchar(255) NOT NULL,
  `in_use` int(11) NOT NULL,
  `reserved` int(11) NOT NULL,
  `until_refresh` int(11) DEFAULT NULL,
  `user_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `quota_usages_user_id_idx` (`user_id`),
  KEY `quota_usages_project_id_idx` (`project_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quotas` (
  `id` int(11) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `resource` varchar(255) NOT NULL,
  `hard_limit` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_quotas0project_id0resource` (`project_id`,`resource`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `request_specs` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `instance_uuid` varchar(36) NOT NULL,
  `spec` mediumtext NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_request_specs0instance_uuid` (`instance_uuid`),
  KEY `request_spec_instance_uuid_idx` (`instance_uuid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `reservations` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `uuid` varchar(36) NOT NULL,
  `usage_id` int(11) NOT NULL,
  `project_id` varchar(255) DEFAULT NULL,
  `resource` varchar(255) DEFAULT NULL,
  `delta` int(11) NOT NULL,
  `expire` datetime DEFAULT NULL,
  `user_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `usage_id` (`usage_id`),
  KEY `reservations_project_id_idx` (`project_id`),
  KEY `reservations_expire_idx` (`expire`),
  KEY `reservations_user_id_idx` (`user_id`),
  KEY `reservations_uuid_idx` (`uuid`),
  CONSTRAINT `reservations_ibfk_1` FOREIGN KEY (`usage_id`) REFERENCES `quota_usages` (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `resource_classes` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_resource_classes0name` (`name`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `resource_provider_aggregates` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `resource_provider_id` int(11) NOT NULL,
  `aggregate_id` int(11) NOT NULL,
  PRIMARY KEY (`resource_provider_id`,`aggregate_id`),
  KEY `resource_provider_aggregates_aggregate_id_idx` (`aggregate_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `resource_provider_traits` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `trait_id` int(11) NOT NULL,
  `resource_provider_id` int(11) NOT NULL,
  PRIMARY KEY (`trait_id`,`resource_provider_id`),
  KEY `resource_provider_traits_resource_provider_trait_idx` (`resource_provider_id`,`trait_id`),
  CONSTRAINT `resource_provider_traits_ibfk_1` FOREIGN KEY (`resource_provider_id`) REFERENCES `resource_providers` (`id`),
  CONSTRAINT `resource_provider_traits_ibfk_2` FOREIGN KEY (`trait_id`) REFERENCES `traits` (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `resource_providers` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `uuid` varchar(36) NOT NULL,
  `name` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `generation` int(11) DEFAULT NULL,
  `can_host` int(11) DEFAULT NULL,
  `root_provider_id` int(11) DEFAULT NULL,
  `parent_provider_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_resource_providers0uuid` (`uuid`),
  UNIQUE KEY `uniq_resource_providers0name` (`name`),
  KEY `resource_providers_uuid_idx` (`uuid`),
  KEY `resource_providers_name_idx` (`name`),
  KEY `resource_providers_root_provider_id_idx` (`root_provider_id`),
  KEY `resource_providers_parent_provider_id_idx` (`parent_provider_id`),
  CONSTRAINT `resource_providers_ibfk_1` FOREIGN KEY (`root_provider_id`) REFERENCES `resource_providers` (`id`),
  CONSTRAINT `resource_providers_ibfk_2` FOREIGN KEY (`parent_provider_id`) REFERENCES `resource_providers` (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `traits` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_traits0name` (`name`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `id` int(11) NOT NULL,
  `external_id` varchar(255) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_users0external_id` (`external_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

