/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `alembic_version` (
  `version_num` varchar(32) NOT NULL,
  PRIMARY KEY (`version_num`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

INSERT INTO `alembic_version` VALUES ('b5c396305c25');
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `allocations` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `resource_provider_id` int(11) NOT NULL,
  `consumer_id` varchar(36) NOT NULL,
  `resource_class_id` int(11) NOT NULL,
  `used` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `allocations_resource_provider_class_used_idx` (`resource_provider_id`,`resource_class_id`,`used`),
  KEY `allocations_resource_class_id_idx` (`resource_class_id`),
  KEY `allocations_consumer_id_idx` (`consumer_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `consumers` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `uuid` varchar(36) NOT NULL,
  `project_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `generation` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_consumers0uuid` (`uuid`),
  KEY `consumers_project_id_user_id_uuid_idx` (`project_id`,`user_id`,`uuid`),
  KEY `consumers_project_id_uuid_idx` (`project_id`,`uuid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `inventories` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `resource_provider_id` int(11) NOT NULL,
  `resource_class_id` int(11) NOT NULL,
  `total` int(11) NOT NULL,
  `reserved` int(11) NOT NULL,
  `min_unit` int(11) NOT NULL,
  `max_unit` int(11) NOT NULL,
  `step_size` int(11) NOT NULL,
  `allocation_ratio` float NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_inventories0resource_provider_resource_class` (`resource_provider_id`,`resource_class_id`),
  KEY `inventories_resource_class_id_idx` (`resource_class_id`),
  KEY `inventories_resource_provider_id_idx` (`resource_provider_id`),
  KEY `inventories_resource_provider_resource_class_idx` (`resource_provider_id`,`resource_class_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

INSERT INTO `inventories` VALUES ('2021-03-03 09:56:19',NULL,2,4,0,90,0,1,90,1,16);
INSERT INTO `inventories` VALUES ('2021-03-03 09:56:19',NULL,4,4,1,191932,10048,1,191932,1,1);
INSERT INTO `inventories` VALUES ('2021-03-03 09:56:19',NULL,6,4,2,117,0,1,117,1,1);
INSERT INTO `inventories` VALUES ('2021-03-03 09:56:20',NULL,8,2,0,88,0,1,88,1,16);
INSERT INTO `inventories` VALUES ('2021-03-03 09:56:20',NULL,10,2,1,191932,10048,1,191932,1,1);
INSERT INTO `inventories` VALUES ('2021-03-03 09:56:20',NULL,12,2,2,117,0,1,117,1,1);
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `placement_aggregates` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `uuid` varchar(36) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_placement_aggregates0uuid` (`uuid`),
  KEY `ix_placement_aggregates_uuid` (`uuid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `projects` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `external_id` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_projects0external_id` (`external_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `resource_classes` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_resource_classes0name` (`name`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

INSERT INTO `resource_classes` VALUES ('2021-03-03 09:56:07',NULL,0,'VCPU');
INSERT INTO `resource_classes` VALUES ('2021-03-03 09:56:07',NULL,1,'MEMORY_MB');
INSERT INTO `resource_classes` VALUES ('2021-03-03 09:56:07',NULL,2,'DISK_GB');
INSERT INTO `resource_classes` VALUES ('2021-03-03 09:56:07',NULL,3,'PCI_DEVICE');
INSERT INTO `resource_classes` VALUES ('2021-03-03 09:56:07',NULL,4,'SRIOV_NET_VF');
INSERT INTO `resource_classes` VALUES ('2021-03-03 09:56:07',NULL,5,'NUMA_SOCKET');
INSERT INTO `resource_classes` VALUES ('2021-03-03 09:56:07',NULL,6,'NUMA_CORE');
INSERT INTO `resource_classes` VALUES ('2021-03-03 09:56:07',NULL,7,'NUMA_THREAD');
INSERT INTO `resource_classes` VALUES ('2021-03-03 09:56:07',NULL,8,'NUMA_MEMORY_MB');
INSERT INTO `resource_classes` VALUES ('2021-03-03 09:56:07',NULL,9,'IPV4_ADDRESS');
INSERT INTO `resource_classes` VALUES ('2021-03-03 09:56:07',NULL,10,'VGPU');
INSERT INTO `resource_classes` VALUES ('2021-03-03 09:56:07',NULL,11,'VGPU_DISPLAY_HEAD');
INSERT INTO `resource_classes` VALUES ('2021-03-03 09:56:07',NULL,12,'NET_BW_EGR_KILOBIT_PER_SEC');
INSERT INTO `resource_classes` VALUES ('2021-03-03 09:56:07',NULL,13,'NET_BW_IGR_KILOBIT_PER_SEC');
INSERT INTO `resource_classes` VALUES ('2021-03-03 09:56:07',NULL,14,'PCPU');
INSERT INTO `resource_classes` VALUES ('2021-03-03 09:56:07',NULL,15,'MEM_ENCRYPTION_CONTEXT');
INSERT INTO `resource_classes` VALUES ('2021-03-03 09:56:07',NULL,16,'FPGA');
INSERT INTO `resource_classes` VALUES ('2021-03-03 09:56:07',NULL,17,'PGPU');
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `resource_provider_aggregates` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `resource_provider_id` int(11) NOT NULL,
  `aggregate_id` int(11) NOT NULL,
  PRIMARY KEY (`resource_provider_id`,`aggregate_id`),
  KEY `resource_provider_aggregates_aggregate_id_idx` (`aggregate_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `resource_provider_traits` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `trait_id` int(11) NOT NULL,
  `resource_provider_id` int(11) NOT NULL,
  PRIMARY KEY (`trait_id`,`resource_provider_id`),
  KEY `resource_provider_traits_resource_provider_trait_idx` (`resource_provider_id`,`trait_id`),
  CONSTRAINT `resource_provider_traits_ibfk_1` FOREIGN KEY (`resource_provider_id`) REFERENCES `resource_providers` (`id`),
  CONSTRAINT `resource_provider_traits_ibfk_2` FOREIGN KEY (`trait_id`) REFERENCES `traits` (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,16,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,16,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,20,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,20,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,26,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,26,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,44,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,44,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,46,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,46,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,48,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,48,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,50,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,50,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,52,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,52,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,64,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,64,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,70,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,70,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,72,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,72,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,76,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,76,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,96,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,96,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,98,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,98,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,106,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,106,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,118,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,118,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,122,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,122,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,124,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,124,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,128,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,128,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,132,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,132,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,156,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,156,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,198,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,198,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,214,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,214,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,228,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,228,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,230,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,230,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,260,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,260,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,262,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,262,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,270,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,270,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,288,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,288,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,302,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,302,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,306,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,306,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,312,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,312,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,316,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,316,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,328,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,328,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,352,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,352,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,356,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,356,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,360,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,360,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,364,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,364,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,366,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,366,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,368,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,368,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,374,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,374,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,376,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,376,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,378,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,378,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,394,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,394,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,400,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,400,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,418,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,418,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,440,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,440,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,442,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,442,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,444,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,444,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,448,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,448,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,460,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,460,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,468,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,468,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,494,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,494,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,496,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,496,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,500,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,500,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,536,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,536,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,542,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,542,4);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:20',NULL,554,2);
INSERT INTO `resource_provider_traits` VALUES ('2021-03-03 09:56:19',NULL,554,4);
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `resource_providers` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `uuid` varchar(36) NOT NULL,
  `name` varchar(200) DEFAULT NULL,
  `generation` int(11) DEFAULT NULL,
  `root_provider_id` int(11) DEFAULT NULL,
  `parent_provider_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_resource_providers0uuid` (`uuid`),
  UNIQUE KEY `uniq_resource_providers0name` (`name`),
  KEY `resource_providers_name_idx` (`name`),
  KEY `resource_providers_parent_provider_id_idx` (`parent_provider_id`),
  KEY `resource_providers_root_provider_id_idx` (`root_provider_id`),
  KEY `resource_providers_uuid_idx` (`uuid`),
  CONSTRAINT `resource_providers_ibfk_1` FOREIGN KEY (`parent_provider_id`) REFERENCES `resource_providers` (`id`),
  CONSTRAINT `resource_providers_ibfk_2` FOREIGN KEY (`root_provider_id`) REFERENCES `resource_providers` (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

INSERT INTO `resource_providers` VALUES ('2021-03-03 09:56:16','2021-03-03 09:56:20',2,'01732eca-d7b9-412f-ae27-f3a3bc753888','controller-1',2,2,NULL);
INSERT INTO `resource_providers` VALUES ('2021-03-03 09:56:19','2021-03-03 09:56:19',4,'eb410109-5d7e-4d33-9000-15a18b1fcb25','controller-0',2,4,NULL);
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `traits` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_traits0name` (`name`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,2,'COMPUTE_IMAGE_TYPE_VMDK');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,4,'HW_GPU_API_DIRECTX_V10');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,6,'COMPUTE_NET_VIF_MODEL_VMXNET');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,8,'HW_CPU_PPC64LE_POWER8');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,10,'HW_GPU_API_OPENGL_V1_1');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,12,'HW_GPU_API_OPENCL_V1_1');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,14,'HW_GPU_API_OPENGL_V4_5');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,16,'HW_CPU_X86_AESNI');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,18,'HW_NIC_OFFLOAD_LRO');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,20,'COMPUTE_STORAGE_BUS_IDE');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,22,'HW_GPU_API_DIRECT3D_V8_0');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,24,'COMPUTE_STORAGE_BUS_UML');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,26,'HW_CPU_X86_AVX512CD');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,28,'HW_GPU_CUDA_SDK_V9_1');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,30,'HW_GPU_RESOLUTION_W1440H900');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,32,'HW_GPU_RESOLUTION_W1600H900');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,34,'HW_CPU_X86_SHA');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,36,'HW_NIC_ACCEL_IPSEC');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,38,'COMPUTE_IMAGE_TYPE_PLOOP');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,40,'HW_GPU_API_OPENGL_V1_3');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,42,'COMPUTE_MIGRATE_AUTO_CONVERGE');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,44,'HW_CPU_X86_MPX');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,46,'COMPUTE_NET_VIF_MODEL_E1000E');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,48,'HW_CPU_X86_FMA3');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,50,'COMPUTE_GRAPHICS_MODEL_VIRTIO');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,52,'COMPUTE_GRAPHICS_MODEL_CIRRUS');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,54,'STORAGE_DISK_SSD');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,56,'HW_GPU_CUDA_COMPUTE_CAPABILITY_V7_2');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,58,'HW_CPU_AARCH64_SVE');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,60,'COMPUTE_IMAGE_TYPE_VHDX');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,62,'HW_GPU_MAX_DISPLAY_HEADS_4');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,64,'COMPUTE_DEVICE_TAGGING');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,66,'HW_CPU_AARCH64_SHA2');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,68,'COMPUTE_IMAGE_TYPE_VHD');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,70,'COMPUTE_IMAGE_TYPE_RAW');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,72,'HW_CPU_X86_AVX2');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,74,'HW_GPU_API_OPENGL_V4_4');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,76,'HW_CPU_HYPERTHREADING');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,78,'HW_NIC_OFFLOAD_RXVLAN');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,80,'HW_CPU_AARCH64_CPUID');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,82,'HW_NIC_OFFLOAD_TXUDP');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,84,'HW_GPU_API_DIRECT2D');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,86,'HW_GPU_CUDA_COMPUTE_CAPABILITY_V3_0');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,88,'HW_GPU_API_DIRECT3D_V6_0');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,90,'HW_NIC_OFFLOAD_RDMA');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,92,'HW_NIC_OFFLOAD_GSO');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,94,'COMPUTE_NET_VIF_MODEL_NETFRONT');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,96,'COMPUTE_RESCUE_BFV');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,98,'HW_CPU_X86_SSE41');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,100,'HW_CPU_X86_TBM');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,102,'HW_GPU_CUDA_COMPUTE_CAPABILITY_V1_1');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,104,'MISC_SHARES_VIA_AGGREGATE');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,106,'COMPUTE_STATUS_DISABLED');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,108,'HW_GPU_API_DXVA');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,110,'HW_CPU_X86_AVX512ER');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,112,'HW_CPU_X86_AMD_VIRT_SSBD');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,114,'COMPUTE_SECURITY_TPM_1_2');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,116,'COMPUTE_MIGRATE_POST_COPY');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,118,'COMPUTE_NET_ATTACH_INTERFACE_WITH_TAG');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,120,'HW_CPU_AARCH64_SM4');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,122,'HW_CPU_X86_SSE42');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,124,'COMPUTE_ACCELERATORS');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,126,'HW_CPU_X86_SSE3');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,128,'HW_CPU_X86_VMX');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,130,'HW_NIC_ACCEL_ECC');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,132,'COMPUTE_IMAGE_TYPE_AKI');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,134,'HW_GPU_RESOLUTION_W1024H768');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,136,'HW_CPU_AARCH64_ASIMDRDM');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,138,'STORAGE_DISK_HDD');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,140,'HW_CPU_X86_FMA4');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,142,'HW_CPU_X86_TSX');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,144,'HW_GPU_API_OPENCL_V2_0');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,146,'COMPUTE_IMAGE_TYPE_VDI');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,148,'HW_GPU_CUDA_COMPUTE_CAPABILITY_V3_7');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,150,'HW_GPU_API_OPENGL_V3_3');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,152,'HW_GPU_RESOLUTION_W1280H768');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,154,'COMPUTE_NET_VIF_MODEL_SRIOV');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,156,'COMPUTE_IMAGE_TYPE_ARI');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,158,'COMPUTE_VOLUME_ATTACH');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,160,'HW_CPU_X86_INTEL_PCID');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,162,'HW_GPU_CUDA_COMPUTE_CAPABILITY_V6_2');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,164,'HW_NIC_DCB_QCN');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,166,'HW_CPU_AARCH64_ASIMDHP');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,168,'HW_NIC_OFFLOAD_TXVLAN');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,170,'HW_GPU_RESOLUTION_W3840H2160');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,172,'HW_CPU_X86_INTEL_MD_CLEAR');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,174,'HW_GPU_CUDA_COMPUTE_CAPABILITY_V3_5');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,176,'HW_CPU_AARCH64_FPHP');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,178,'HW_NIC_OFFLOAD_TX');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,180,'HW_CPU_AARCH64_AES');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,182,'HW_GPU_API_DIRECTX_V12');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,184,'HW_GPU_API_OPENGL_V1_5');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,186,'HW_GPU_MAX_DISPLAY_HEADS_6');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,188,'HW_NIC_VMDQ');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,190,'HW_CPU_X86_SGX');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,192,'HW_GPU_RESOLUTION_W640H480');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,194,'HW_NIC_ACCEL_DIFFIEH');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,196,'HW_GPU_API_DIRECT3D_V9_0');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,198,'COMPUTE_TRUSTED_CERTS');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,200,'HW_CPU_X86_AMD_SVM');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,202,'HW_GPU_CUDA_COMPUTE_CAPABILITY_V7_1');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,204,'HW_NIC_OFFLOAD_GENEVE');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,206,'HW_NIC_OFFLOAD_GRE');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,208,'HW_GPU_API_OPENGL_V2_1');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,210,'HW_GPU_API_DIRECT3D_V12_0');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,212,'HW_GPU_RESOLUTION_W320H240');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,214,'COMPUTE_STORAGE_BUS_SATA');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,216,'HW_NIC_OFFLOAD_UFO');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,218,'HW_CPU_X86_AMD_NO_SSB');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,220,'HW_NIC_OFFLOAD_LSO');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,222,'HW_GPU_API_DIRECT3D_V10_1');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,224,'HW_GPU_API_OPENGL_V3_2');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,226,'HW_GPU_CUDA_COMPUTE_CAPABILITY_V1_3');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,228,'COMPUTE_NET_VIF_MODEL_E1000');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,230,'HW_CPU_X86_BMI2');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,232,'COMPUTE_GRAPHICS_MODEL_NONE');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,234,'HW_CPU_AARCH64_EVTSTRM');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,236,'HW_GPU_CUDA_SDK_V9_0');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,238,'HW_CPU_AARCH64_CRC32');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,240,'HW_GPU_API_DIRECT3D_V9_0L');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,242,'HW_GPU_API_OPENCL_V1_2');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,244,'HW_GPU_API_DIRECT3D_V9_0C');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,246,'HW_NIC_MULTIQUEUE');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,248,'HW_NIC_ACCEL_TLS');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,250,'HW_NIC_SRIOV_MULTIQUEUE');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,252,'HW_GPU_CUDA_COMPUTE_CAPABILITY_V5_0');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,254,'HW_GPU_CUDA_COMPUTE_CAPABILITY_V6_1');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,256,'HW_CPU_X86_AMD_SEV');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,258,'COMPUTE_GRAPHICS_MODEL_XEN');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,260,'COMPUTE_VOLUME_EXTEND');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,262,'COMPUTE_NODE');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,264,'HW_CPU_AARCH64_DCPOP');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,266,'HW_GPU_RESOLUTION_W1024H600');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,268,'HW_GPU_CUDA_COMPUTE_CAPABILITY_V3_2');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,270,'COMPUTE_STORAGE_BUS_SCSI');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,272,'HW_CPU_AMD_SEV');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,274,'HW_GPU_API_DIRECT3D_V10_0');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,276,'HW_CPU_AARCH64_ASIMD');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,278,'HW_GPU_MAX_DISPLAY_HEADS_8');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,280,'HW_GPU_API_DIRECT3D_V11_0');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,282,'HW_GPU_MAX_DISPLAY_HEADS_1');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,284,'HW_GPU_CUDA_COMPUTE_CAPABILITY_V7_0');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,286,'HW_NUMA_ROOT');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,288,'COMPUTE_VOLUME_MULTI_ATTACH');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,290,'HW_GPU_API_OPENGL_V2_0');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,292,'HW_GPU_CUDA_COMPUTE_CAPABILITY_V1_0');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,294,'HW_NIC_OFFLOAD_FDF');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,296,'HW_GPU_RESOLUTION_W1600H1200');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,298,'HW_GPU_API_DIRECT3D_V8_1');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,300,'HW_NIC_DCB_ETS');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,302,'HW_CPU_X86_ABM');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,304,'HW_NIC_SRIOV_QOS_TX');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,306,'HW_CPU_X86_AVX512BW');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,308,'HW_NIC_OFFLOAD_QINQ');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,310,'HW_GPU_RESOLUTION_W1920H1200');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,312,'COMPUTE_VOLUME_ATTACH_WITH_TAG');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,314,'HW_CPU_AARCH64_JSCVT');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,316,'COMPUTE_STORAGE_BUS_USB');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,318,'HW_GPU_API_DIRECT3D_V9_0B');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,320,'HW_GPU_MAX_DISPLAY_HEADS_2');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,322,'HW_NIC_OFFLOAD_RXHASH');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,324,'HW_GPU_API_OPENGL_V4_1');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,326,'HW_GPU_CUDA_COMPUTE_CAPABILITY_V5_2');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,328,'COMPUTE_IMAGE_TYPE_ISO');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,330,'COMPUTE_SAME_HOST_COLD_MIGRATE');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,332,'HW_NIC_OFFLOAD_GRO');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,334,'HW_NIC_OFFLOAD_SWITCHDEV');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,336,'HW_CPU_AARCH64_FP');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,338,'HW_NIC_OFFLOAD_SCS');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,340,'HW_GPU_API_DIRECTX_V11');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,342,'HW_GPU_RESOLUTION_W2560H1600');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,344,'HW_GPU_RESOLUTION_W7680H4320');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,346,'HW_GPU_API_DIRECT3D_V11_3');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,348,'HW_GPU_CUDA_SDK_V9_2');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,350,'HW_NIC_OFFLOAD_UCS');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,352,'HW_CPU_X86_BMI');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,354,'HW_GPU_RESOLUTION_W1152H864');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,356,'COMPUTE_IMAGE_TYPE_AMI');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,358,'HW_CPU_AARCH64_SHA512');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,360,'HW_CPU_X86_SSE2');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,362,'COMPUTE_STORAGE_BUS_LXC');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,364,'COMPUTE_NET_VIF_MODEL_SPAPR_VLAN');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,366,'COMPUTE_GRAPHICS_MODEL_VMVGA');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,368,'HW_CPU_X86_AVX512F');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,370,'COMPUTE_NET_VIF_MODEL_VMXNET3');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,372,'HW_GPU_CUDA_COMPUTE_CAPABILITY_V6_0');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,374,'COMPUTE_NET_VIF_MODEL_PCNET');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,376,'HW_CPU_X86_CLMUL');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,378,'HW_CPU_X86_F16C');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,380,'HW_NIC_PROGRAMMABLE_PIPELINE');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,382,'HW_GPU_RESOLUTION_W1366H768');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,384,'HW_CPU_X86_INTEL_SPEC_CTRL');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,386,'HW_CPU_X86_ASF');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,388,'HW_GPU_API_DIRECT3D_V11_1');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,390,'HW_CPU_X86_3DNOW');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,392,'HW_CPU_AARCH64_LRCPC');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,394,'HW_CPU_X86_MMX');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,396,'HW_GPU_API_DIRECT3D_V7_0');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,398,'COMPUTE_SECURITY_TPM_2_0');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,400,'HW_CPU_X86_SSSE3');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,402,'HW_CPU_X86_SSE4A');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,404,'HW_GPU_API_DIRECT3D_V11_2');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,406,'HW_GPU_CUDA_COMPUTE_CAPABILITY_V2_0');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,408,'HW_GPU_API_OPENGL_V4_0');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,410,'HW_NIC_OFFLOAD_TCS');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,412,'HW_GPU_API_OPENGL_V3_1');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,414,'HW_GPU_RESOLUTION_W2560H1440');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,416,'HW_GPU_RESOLUTION_W1360H768');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,418,'HW_CPU_X86_SSE');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,420,'HW_CPU_X86_STIBP');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,422,'HW_GPU_API_OPENGL_V1_4');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,424,'COMPUTE_GRAPHICS_MODEL_GOP');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,426,'HW_GPU_API_OPENCL_V2_2');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,428,'HW_GPU_CUDA_SDK_V6_5');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,430,'HW_GPU_API_OPENCL_V1_0');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,432,'HW_NIC_SRIOV');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,434,'COMPUTE_NET_VIF_MODEL_LAN9118');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,436,'HW_NIC_OFFLOAD_SG');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,438,'COMPUTE_STORAGE_BUS_XEN');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,440,'COMPUTE_NET_VIF_MODEL_VIRTIO');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,442,'HW_CPU_X86_AVX512DQ');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,444,'COMPUTE_NET_VIF_MODEL_RTL8139');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,446,'HW_CPU_X86_INTEL_SSBD');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,448,'HW_CPU_X86_AVX');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,450,'HW_CPU_X86_AMD_SSBD');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,452,'HW_NIC_ACCEL_DEFLATE');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,454,'HW_GPU_CUDA_COMPUTE_CAPABILITY_V2_1');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,456,'HW_CPU_X86_AVX512PF');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,458,'HW_GPU_RESOLUTION_W1680H1050');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,460,'COMPUTE_STORAGE_BUS_FDC');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,462,'HW_CPU_AARCH64_PMULL');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,464,'HW_CPU_AARCH64_ATOMICS');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,466,'HW_NIC_OFFLOAD_VXLAN');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,468,'COMPUTE_GRAPHICS_MODEL_QXL');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,470,'HW_GPU_RESOLUTION_W1280H1024');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,472,'HW_GPU_CUDA_SDK_V8_0');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,474,'HW_NIC_ACCEL_SSL');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,476,'HW_GPU_API_OPENGL_V4_2');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,478,'HW_GPU_CUDA_COMPUTE_CAPABILITY_V5_3');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,480,'HW_NIC_OFFLOAD_RX');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,482,'HW_CPU_AARCH64_SM3');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,484,'HW_NIC_DCB_PFC');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,486,'HW_NIC_ACCEL_RSA');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,488,'HW_GPU_RESOLUTION_W1920H1080');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,490,'HW_CPU_X86_AVX512VNNI');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,492,'HW_CPU_X86_AMD_IBPB');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,494,'COMPUTE_NET_ATTACH_INTERFACE');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,496,'COMPUTE_GRAPHICS_MODEL_VGA');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,498,'HW_GPU_API_OPENCL_V2_1');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,500,'HW_CPU_X86_AVX512VL');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,502,'HW_CPU_X86_PDPE1GB');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,504,'HW_CPU_X86_INTEL_VMX');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,506,'HW_GPU_API_OPENGL_V1_2');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,508,'HW_CPU_AARCH64_SHA3');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,510,'HW_CPU_AARCH64_ASIMDDP');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,512,'HW_GPU_API_VULKAN');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,514,'HW_GPU_RESOLUTION_W1280H800');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,516,'HW_NIC_SRIOV_QOS_RX');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,518,'HW_GPU_CUDA_SDK_V10_0');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,520,'HW_GPU_API_OPENGL_V4_3');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,522,'HW_GPU_API_OPENGL_V3_0');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,524,'HW_CPU_AARCH64_SHA1');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,526,'HW_GPU_CUDA_SDK_V7_5');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,528,'HW_CPU_X86_SVM');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,530,'HW_GPU_RESOLUTION_W800H600');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,532,'HW_GPU_RESOLUTION_W1280H720');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,534,'HW_GPU_CUDA_COMPUTE_CAPABILITY_V1_2');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,536,'COMPUTE_STORAGE_BUS_VIRTIO');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,538,'HW_NIC_SRIOV_TRUSTED');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,540,'HW_CPU_X86_XOP');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,542,'COMPUTE_IMAGE_TYPE_QCOW2');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,544,'HW_CPU_AARCH64_FCMA');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,546,'HW_CPU_PPC64LE_POWER9');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,548,'HW_NIC_OFFLOAD_L2CRC');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,550,'HW_NIC_OFFLOAD_TSO');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,552,'HW_NIC_ACCEL_LZS');
INSERT INTO `traits` VALUES ('2021-03-03 09:56:07',NULL,554,'COMPUTE_NET_VIF_MODEL_NE2K_PCI');
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int(11) NOT NULL,
  `external_id` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uniq_users0external_id` (`external_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

